<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: HtmlLink.php 5606 2010-05-11 06:29:30Z john $
 */

/**
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class Engine_View_Helper_HtmlLink extends Zend_View_Helper_HtmlElement
{
  public function htmlLink($href = null, $content = "", $attribs = array())
  {
    if( 0 == func_num_args() ) {
      return $this;
    }

    // You can give href an array to use router
    if( is_array($href) )
    {
      $href = $this->url($href);
      //if( $query ) {
      //  $href .= '?' . $query;
      //}
      //if( $fragment ) {
      //  $href .= '#' . $fragment;
      //}
    }

    // $href is an object with a getHref() method
    else if( is_object($href) && method_exists($href, 'getHref') )
    {
      $href = $href->getHref();
    }

    if( null !== $href ) {
      $attribs = array_merge(array(
        'href' => $href
      ), $attribs);
    }
    
    // Merge data and type
    return '<a '.$this->_htmlAttribs($attribs).'>'.$content.'</a>';
  }

  public function url($params)
  {
    $route = @$params['route'];
    $reset = ( isset($params['reset']) ? $params['reset'] : true );
    $append = @$params['APPEND'];
    //$query = @$href['query'];
    //$fragment = @$href['fragment'];
    unset($params['route']);
    unset($params['reset']);
    unset($params['APPEND']);
    //unset($href['query']); // This looks dangerous
    //unset($href['fragment']);
    $href = $this->view->url($params, $route, $reset);
    if( $append ) {
      $href .= $append;
    }
    return $href;
  }
}