<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Group
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Level.php 4684 2010-03-30 00:14:56Z jung $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Extensions
 * @package    Group
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class Authorization_Model_Level extends Core_Model_Item_Abstract
{
  protected $_parent_type = 'user';

  //protected $_owner_type = 'user';

  protected $_searchColumns = array('title', 'body');

  protected $_parent_is_owner = true;


  // General
  public function getTitle()
  {
    if( isset($this->name) )
    {
      return $this->name;
    }
    return null;
  }

  // return the number of members of a given user level
  public function getMembershipCount(){
    // first relocate all the user with the id to the default
    $table = Engine_Api::_()->getDbtable('users', 'user');
    $userTableName = $table->info('name');
    $select = $table->select();
    $users = $table->fetchAll($select->where($userTableName.'.level_id = ?', $this->level_id));
    return count($users);
  }
}