<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Authorization
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5636 2010-05-11 23:29:21Z john $
 * @author     John Boehr <j@webligo.com>
 */
?>
<script type="text/javascript">
  en4.core.runonce.add(function(){$$('th.admin_table_short input[type=checkbox]').addEvent('click', function(){ $$('input[type=checkbox]:not(:disabled)').set('checked', $(this).get('checked', false)); })});

  var changeOrder =function(orderby, direction){
    $('orderby').value = orderby;
    $('orderby_direction').value = direction;
    $('filter_form').submit();
  }

  var delectSelected =function(){
    var checkboxes = $$('input[type=checkbox]');
    var selecteditems = [];

    checkboxes.each(function(item, index){
      var checked = item.get('checked', false);
      var value = item.get('value', false);
      if (checked == true && value != 'on'){
        selecteditems.push(value);
      }
    });

    $('ids').value = selecteditems;
    $('delete_selected').submit();
    //en4.core.baseUrl+'admin/announcements/deleteselected/selected/'+selecteditems;
    //window.location = "http://www.google.com/";
  }

  function setDefault(level_id) {
    (new Request.JSON({
      'format': 'json',
      'url' : '<?php echo $this->url(array('module' => 'authorization', 'controller' => 'admin-level', 'action' => 'setDefault'), 'default', true) ?>',
      'data' : {
        'format' : 'json',
        'level_id' : level_id
      },
      'onRequest' : function(){
        $$('input[type=radio]').set('disabled', true);
      },
      'onSuccess' : function(responseJSON, responseText)
      {
        window.location.reload();
      }
    })).send();

  }
</script>

<h2><?php echo $this->translate("Member Levels") ?></h2>
<p>
  <?php $link = $this->htmlLink(
    array('module' => 'user', 'controller' => 'manage', 'action' => 'index', "route"=>"admin_default"),
    $this->translate("View Users")) ?>
  <?php echo $this->translate("AUTHORIZATION_VIEWS_SCRIPTS_ADMINLEVEL_DESCRIPTION", $link) ?>
</p>
<?php echo $this->formFilter->render($this) ?>

<br />

<div>
  <?php echo $this->htmlLink(array('action' => 'create', 'reset' => false), 'Add Member Level', array(
    'class' => 'buttonlink',
    'style' => 'background-image: url(application/modules/Authorization/externals/images/admin/add.png);'
  )) ?>
  <?php $levelCount = $this->paginator->getTotalItemCount(); ?>
  <?php echo $this->translate(array("%d level found","%d levels found", $levelCount), $levelCount); ?>
  <?php echo $this->paginationControl($this->paginator); ?>
</div>

<br />

<table class='admin_table'>
  <thead>
    <tr>
      <th style="width: 1%;"><input type='checkbox' class='checkbox' /></th>
      <th style="width: 1%;"><a href="javascript:void(0);" onclick="javascript:changeOrder('level_id', '<?php if($this->orderby == 'level_id') echo "ASC"; else echo "DESC"; ?>');">ID</a></th>
      <th>
        <a href="javascript:void(0);" onclick="javascript:changeOrder('name', '<?php if($this->orderby == 'name') echo "ASC"; else echo "DESC"; ?>');">
          <?php echo $this->translate("Level Name") ?>
        </a>
      </th>
      <th style="width: 1%;"><?php echo $this->translate("Members") ?></th>
      <th style="width: 1%;" class="admin_table_centered"><?php echo $this->translate("Default Level") ?></th>
      <th style="width: 1%;"><?php echo $this->translate("Options") ?></th>
    </tr>

  </thead>
  <tbody>
    <?php if( count($this->paginator) ): ?>
      <?php foreach( $this->paginator as $item ): ?>
        <tr>
        <td><input <?php if ($item->flag) echo 'disabled';?> type='checkbox' class='checkbox' value="<?php echo $item->level_id?>"></td>
          <td>
            <?php echo $item->level_id ?>
          </td>
          <td class="admin_table_bold">
            <?php echo $this->translate($item->name) ?>
          </td>
          <td>
            <?php $membershipCount = $item->getMembershipCount(); ?>
            <?php echo $this->translate(array("%s member", "%s members", $membershipCount), $this->locale()->toNumber($membershipCount)) ?>
          </td>
          <td class="admin_table_centered">
            <?php if( $item->flag == 'default' ): ?>
            <?php echo $this->formRadio('default', $item->level_id, array('onchange' => "setDefault({$item->level_id});")) ?>
            <?php else:?>
              <input <?php if ($item->flag== 'superadmin') echo 'disabled';?> type="radio" name="default" value="<?php echo $item->level_id?>"  onchange="javascript:setDefault(<?php echo $item->level_id?>);"/>
            <?php endif; ?>
          </td>
          <td class="admin_table_options">
            <a class='smoothbox' href='<?php echo $this->url(array('action' => 'edit', 'id' => $item->level_id)) ?>'>
              <?php echo $this->translate("edit") ?>
            </a>
            <?php if (!$item->flag) :?>
            |
            <a href='<?php echo $this->url(array('action' => 'delete', 'id' => $item->level_id)) ?>'>
              <?php echo $this->translate("delete") ?>
            </a>
            <?php endif; ?>
          </td>
        </tr>
      <?php endforeach; ?>
    <?php endif; ?>
  </tbody>

</table>

<br/>
<div class='buttons'>
  <button onclick="javascript:delectSelected();" type='submit'>
    <?php echo $this->translate("Delete Selected") ?>
  </button>
</div>

<form id='delete_selected' method='post' action='<?php echo $this->url(array('action' =>'deleteselected')) ?>'>
  <input type="hidden" id="ids" name="ids" value=""/>
</form>