/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: my.sql 5788 2010-05-13 01:24:30Z jung $
 */


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_comments`
--

DROP TABLE IF EXISTS `engine4_core_comments`;
CREATE TABLE IF NOT EXISTS `engine4_core_comments` (
  `comment_id` int(11) NOT NULL auto_increment,
  `resource_type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `resource_id` int(11) NOT NULL,
  `poster_type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `poster_id` int(11) NOT NULL,
  `body` text NOT NULL,
  `creation_date` datetime NOT NULL,
  PRIMARY KEY  (`comment_id`),
  KEY `resource_type` (`resource_type`,`resource_id`),
  KEY `poster_type` (`poster_type`, `poster_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_content`
--

DROP TABLE IF EXISTS `engine4_core_content`;
CREATE TABLE IF NOT EXISTS `engine4_core_content` (
  `content_id` int(11) NOT NULL auto_increment,
  `page_id` int(11) NOT NULL,
  /* Rendering */
  `type` varchar(32) NOT NULL default 'widget',
  `name` varchar(64) NOT NULL,
  /* Placement */
  `parent_content_id` int(11) NULL,
  `order` int(11) NOT NULL default '1',
  /* Misc */
  `params` text collate utf8_unicode_ci NOT NULL,
  `attribs` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`content_id`),
  KEY (`page_id`, `order`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;

--
-- Dumping data for table `engine4_core_content`
--

INSERT INTO `engine4_core_content` (`content_id`, `page_id`, `type`, `name`, `parent_content_id`, `order`, `params`) VALUES
/* Header */
(100, 1, 'container', 'main', NULL, 1, ''),

(110, 1, 'widget', 'core.menu-mini', 100, 1, ''),
(111, 1, 'widget', 'core.menu-logo', 100, 2, ''),
(112, 1, 'widget', 'core.menu-main', 100, 3, ''),

/* Footer */
(200, 2, 'container', 'main', NULL, 1, ''),

(210, 2, 'widget', 'core.menu-footer', 200, 2, ''),

/* Home */
(300, 3, 'container', 'main', NULL, 1, ''),

(310, 3, 'container', 'left', 300, 1, ''),
(311, 3, 'container', 'right', 300, 2, ''),
(312, 3, 'container', 'middle', 300, 3, ''),

(320, 3, 'widget', 'user.login-or-signup', 310, 1, ''),
(321, 3, 'widget', 'user.list-online', 310, 2, '{"title":"%s Members Online"}'),
(322, 3, 'widget', 'core.statistics', 310, 3, '{"title":"Network Stats"}'),

(330, 3, 'widget', 'user.list-signups', 311, 1, '{"title":"Newest Members"}'),
(331, 3, 'widget', 'user.list-popular', 311, 2, '{"title":"Popular Members"}'),

(340, 3, 'widget', 'announcement.list-announcements', 312, 1, ''),
(341, 3, 'widget', 'activity.feed', 312, 2, '{"title":"What''s New"}'),

/* User Home */
(400, 4, 'container', 'main', NULL, 1, ''),

(410, 4, 'container', 'left', 400, 1, ''),
(411, 4, 'container', 'right', 400, 2, ''),
(412, 4, 'container', 'middle', 400, 3, ''),

(420, 4, 'widget', 'user.home-photo', 410, 1, ''),
(421, 4, 'widget', 'user.home-links', 410, 2, ''),
(422, 4, 'widget', 'user.list-online', 410, 3, '{"title":"%s Members Online"}'),
(423, 4, 'widget', 'core.statistics', 410, 4, '{"title":"Network Stats"}'),

(430, 4, 'widget', 'activity.list-requests', 411, 1, '{"title":"Requests"}'),
(431, 4, 'widget', 'user.list-signups', 411, 2, '{"title":"Newest Members"}'),
(432, 4, 'widget', 'user.list-popular', 411, 3, '{"title":"Popular Members"}'),

(440, 4, 'widget', 'announcement.list-announcements', 412, 1, ''),
(441, 4, 'widget', 'activity.feed', 412, 2, '{"title":"What''s New"}'),

/* User Profile */
(500, 5, 'container', 'main', NULL, 1, ''),

(510, 5, 'container', 'left', 500, 1, ''),
(511, 5, 'container', 'middle', 500, 3, ''),

(520, 5, 'widget', 'user.profile-photo', 510, 1, ''),
(521, 5, 'widget', 'user.profile-options', 510, 2, ''),
(522, 5, 'widget', 'user.profile-friends-common', 510, 3, '{"title":"Mutual Friends"}'),
(523, 5, 'widget', 'user.profile-info', 510, 4, '{"title":"Member Info"}'),
(524, 5, 'widget', 'music.profile-player', 510, 5, ''),

(530, 5, 'widget', 'user.profile-status', 511, 1, ''),
(531, 5, 'widget', 'core.container-tabs', 511, 2, '{"max":"6"}'),

(540, 5, 'widget', 'activity.feed', 531, 1, '{"title":"Updates"}'),
(541, 5, 'widget', 'user.profile-fields', 531, 2, '{"title":"Info"}'),
(542, 5, 'widget', 'user.profile-friends', 531, 3, '{"title":"Friends","titleCount":true}'),
(543, 5, 'widget', 'album.profile-albums', 531, 4, '{"title":"Albums","titleCount":true}'),
(544, 5, 'widget', 'blog.profile-blogs', 531, 5, '{"title":"Blogs","titleCount":true}'),
(545, 5, 'widget', 'classified.profile-classifieds', 531, 6, '{"title":"Classifieds","titleCount":true}'),
(546, 5, 'widget', 'core.profile-links', 531, 7, '{"title":"Links","titleCount":true}'),
(547, 5, 'widget', 'event.profile-events', 531, 8, '{"title":"Events","titleCount":true}'),
(548, 5, 'widget', 'group.profile-groups', 531, 9, '{"title":"Groups","titleCount":true}'),
(549, 5, 'widget', 'music.profile-music', 531, 10, '{"title":"Music","titleCount":true}'),
(550, 5, 'widget', 'poll.profile-polls', 531, 11, '{"title":"Polls","titleCount":true}'),
(551, 5, 'widget', 'video.profile-videos', 531, 12, '{"title":"Videos","titleCount":true}'),

/* Event Profile */
(600, 6, 'container', 'main', NULL, 1, ''),

(610, 6, 'container', 'left', 600, 1, ''),
(611, 6, 'container', 'middle', 600, 3, ''),

(620, 6, 'widget', 'event.profile-photo', 610, 1, ''),
(621, 6, 'widget', 'event.profile-options', 610, 2, ''),
(622, 6, 'widget', 'event.profile-info', 610, 3, ''),
(623, 6, 'widget', 'event.profile-rsvp', 610, 4, ''),

(630, 6, 'widget', 'event.profile-status', 611, 1, ''),
(634, 6, 'widget', 'core.container-tabs', 611, 2, '{"max":"6"}'),

(640, 6, 'widget', 'activity.feed', 634, 1, '{"title":"Updates"}'),
(641, 6, 'widget', 'event.profile-members', 634, 2, '{"title":"Guests","titleCount":true}'),
(642, 6, 'widget', 'event.profile-photos', 634, 3, '{"title":"Photos","titleCount":true}'),
(643, 6, 'widget', 'event.profile-discussions', 634, 4, '{"title":"Discussions","titleCount":true}'),
(644, 6, 'widget', 'core.profile-links', 634, 5, '{"title":"Links","titleCount":true}'),

/* Group Profile */
(700, 7, 'container', 'main', NULL, 1, ''),

(710, 7, 'container', 'left', 700, 1, ''),
(711, 7, 'container', 'middle', 700, 3, ''),

(720, 7, 'widget', 'group.profile-photo', 710, 1, ''),
(721, 7, 'widget', 'group.profile-options', 710, 2, ''),
(722, 7, 'widget', 'group.profile-info', 710, 3, ''),

(730, 7, 'widget', 'group.profile-status', 711, 1, ''),
(731, 7, 'widget', 'core.container-tabs', 711, 2, '{"max":"6"}'),

(740, 7, 'widget', 'activity.feed', 731, 1, '{"title":"Updates"}'),
(741, 7, 'widget', 'group.profile-members', 731, 2, '{"title":"Members","titleCount":true}'),
(742, 7, 'widget', 'group.profile-photos', 731, 3, '{"title":"Photos","titleCount":true}'),
(743, 7, 'widget', 'group.profile-discussions', 731, 4, '{"title":"Discussions","titleCount":true}'),
(744, 7, 'widget', 'core.profile-links', 731, 5, '{"title":"Links","titleCount":true}'),
(745, 7, 'widget', 'group.profile-events', 731, 6, '{"title":"Events","titleCount":true}');


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_geotags`
--

DROP TABLE IF EXISTS `engine4_core_geotags`;
CREATE TABLE IF NOT EXISTS `engine4_core_geotags` (
  `geotag_id` int(11) NOT NULL,
  `latitude` float NOT NULL,
  `longitude` float NOT NULL,
  PRIMARY KEY  (`geotag_id`),
  KEY `latitude` (`latitude`,`longitude`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_languages`
--

DROP TABLE IF EXISTS `engine4_core_languages`;
CREATE TABLE `engine4_core_languages` (
  `language_id` int(11) NOT NULL auto_increment,
  `code` varchar(8) NOT NULL,
  `name` varchar(255) NOT NULL,
  `fallback` varchar(8) default NULL,
  `order` smallint(6) NOT NULL default '1',
  PRIMARY KEY  (`language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `engine4_languages`
--

INSERT IGNORE INTO `engine4_core_languages` (`language_id`, `code`, `name`, `fallback`, `order`) VALUES
(1, 'en', 'English', 'en', 1);


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_likes`
--

DROP TABLE IF EXISTS `engine4_core_likes`;
CREATE TABLE IF NOT EXISTS `engine4_core_likes` (
  `like_id` int(11) NOT NULL auto_increment,
  `resource_type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `resource_id` int(11) NOT NULL,
  `poster_type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `poster_id` int(11) NOT NULL,
  PRIMARY KEY  (`like_id`),
  KEY `resource_type` (`resource_type`, `resource_id`),
  KEY `poster_type` (`poster_type`, `poster_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_links`
--

DROP TABLE IF EXISTS `engine4_core_links`;
CREATE TABLE IF NOT EXISTS `engine4_core_links` (
  `link_id` int(11) NOT NULL auto_increment,
  `uri` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `photo_id` int(11) NOT NULL default '0',
  `parent_type` varchar(24) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `parent_id` int(11) NOT NULL,
  `owner_type` varchar(24) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `owner_id` int(11) NOT NULL,
  `view_count` mediumint NOT NULL default '0',
  `creation_date` datetime NOT NULL,
  PRIMARY KEY  (`link_id`),
  KEY `owner` (`owner_type`, `owner_id`),
  KEY `parent` (`parent_type`, `parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_listitems`
--

DROP TABLE IF EXISTS `engine4_core_listitems`;
CREATE TABLE IF NOT EXISTS `engine4_core_listitems` (
  `listitem_id` int(11) NOT NULL auto_increment,
  `list_id` int(11) NOT NULL,
  `child_id` int(11) NOT NULL,
  PRIMARY KEY  (`listitem_id`),
  KEY `list_id` (`list_id`),
  KEY `child_id` (`child_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_lists`
--

DROP TABLE IF EXISTS `engine4_core_lists`;
CREATE TABLE IF NOT EXISTS `engine4_core_lists` (
  `list_id` int(11) NOT NULL auto_increment,
  `title` varchar(64) NOT NULL default '',
  `owner_type` varchar(24) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `owner_id` int(11) NOT NULL,
  `child_type` varchar(24) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `child_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`list_id`),
  KEY `owner_type` (`owner_type`, `owner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_mail`
--

DROP TABLE IF EXISTS `engine4_core_mail`;
CREATE TABLE IF NOT EXISTS `engine4_core_mail` (
  `mail_id` int(11) NOT NULL auto_increment,
  `type` enum('system', 'zend') NOT NULL,
  `body` text NOT NULL,
  `priority` smallint(3) default '100',
  `recipient_count` int(11) default '0',
  PRIMARY KEY  (`mail_id`),
  KEY (`priority`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_mailrecipients`
--

DROP TABLE IF EXISTS `engine4_core_mailrecipients`;
CREATE TABLE IF NOT EXISTS `engine4_core_mailrecipients` (
  `recipient_id` int(11) NOT NULL auto_increment,
  `mail_id` int(11) NOT NULL,
  `user_id` int(11) NULL,
  `email` varchar(128) NULL,
  PRIMARY KEY  (`recipient_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_mailtemplates`
--

DROP TABLE IF EXISTS `engine4_core_mailtemplates`;
CREATE TABLE IF NOT EXISTS `engine4_core_mailtemplates` (
  `mailtemplate_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `vars` varchar(255) NOT NULL,
  PRIMARY KEY (`mailtemplate_id`),
  UNIQUE KEY (`type`)
) ENGINE=InnoDb DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `engine4_core_mailtemplates`
--
INSERT IGNORE INTO `engine4_core_mailtemplates` (`type`, `vars`) VALUES
('core_invitecode', '[displayname],[email],[message],[code],[link]'),
('core_invite', '[displayname],[email],[message],[link]'),
('core_verification', '[displayname],[email],[link]'),
('core_verification_password', '[displayname],[email],[link],[password]'),
('core_welcome', '[displayname],[email], [link]'),
('core_welcome_password', '[displayname],[email],[password],[link]'),

('core_lostpassword', '[displayname],[email],[link]'),

('notify_commented', '[displayname],[subject],[item],[message],[link]'),
('notify_commented_commented', '[displayname],[subject],[item],[link]'),

('notify_friend_accepted', '[displayname],[friendname],[link]'),
('notify_friend_request', '[displayname],[friendname],[link]'),
('notify_friend_follow', '[displayname],[friendname],[link]'),

('notify_friend_follow_accepted', '[displayname],[friendname],[link]'),
('notify_friend_follow_request', '[displayname],[friendname],[link]'),


('notify_liked', '[displayname],[subject],[item],[link]'),
('notify_liked_commented', '[displayname],[subject],[item],[link]'),
('core_contact', '[displayname],[email],[message]');

-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_menus`
--

DROP TABLE IF EXISTS `engine4_core_menus`;
CREATE TABLE IF NOT EXISTS `engine4_core_menus` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `type` enum('standard','hidden','custom') character set latin1 collate latin1_bin NOT NULL default 'standard',
  `title` varchar(64) NOT NULL,
  `order` smallint(3) NOT NULL default '999',
  PRIMARY KEY  (`id`),
  UNIQUE KEY (`name`),
  KEY `order` (`order`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;

--
-- Dumping data for table `engine4_core_menus`
--

INSERT IGNORE INTO `engine4_core_menus` (`name`, `type`, `title`, `order`) VALUES
('core_main', 'standard', 'Main Navigation Menu', 1),
('core_mini', 'standard', 'Mini Navigation Menu', 2),
('core_footer', 'standard', 'Footer Menu', 3),
('core_sitemap', 'standard', 'Sitemap', 4)
;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_menuitems`
--

DROP TABLE IF EXISTS `engine4_core_menuitems`;
CREATE TABLE IF NOT EXISTS `engine4_core_menuitems` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `module` varchar(32) NOT NULL,
  `label` varchar(32) NOT NULL,
  `plugin` varchar(32) NOT NULL,
  `params` text NOT NULL,
  `menu` varchar(32) NOT NULL,
  `submenu` varchar(32) NOT NULL,
  `custom` tinyint(1) NOT NULL default '0',
  `order` smallint(6) NOT NULL default '999',
  PRIMARY KEY  (`id`),
  UNIQUE KEY (`name`),
  KEY `LOOKUP` (`name`,`order`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;

--
-- Dumping data for table `engine4_core_menuitems`
--

INSERT IGNORE INTO `engine4_core_menuitems` (`name`, `module`, `label`, `plugin`, `params`, `menu`, `submenu`, `order`) VALUES
('core_main_home', 'core', 'Home', 'User_Plugin_Menus', '', 'core_main', '', 1),

('core_sitemap_home', 'core', 'Home', '', '{"route":"default"}', 'core_sitemap', '', 1),

('core_footer_privacy', 'core', 'Privacy', '', '{"route":"default","module":"core","controller":"help","action":"privacy"}', 'core_footer', '', 1),
('core_footer_terms', 'core', 'Terms of Service', '', '{"route":"default","module":"core","controller":"help","action":"terms"}', 'core_footer', '', 2),
('core_footer_contact', 'core', 'Contact', '', '{"route":"default","module":"core","controller":"help","action":"contact"}', 'core_footer', '', 3),

('core_mini_admin', 'core', 'Admin', 'User_Plugin_Menus', '', 'core_mini', '', 1),
('core_mini_profile', 'user', 'My Profile', 'User_Plugin_Menus', '', 'core_mini', '', 2),
('core_mini_settings', 'user', 'Settings', 'User_Plugin_Menus', '', 'core_mini', '', 4),
('core_mini_auth', 'user', 'Auth', 'User_Plugin_Menus', '', 'core_mini', '', 5),
('core_mini_signup', 'user', 'Signup', 'User_Plugin_Menus', '', 'core_mini', '', 6),

('core_admin_main_home', 'core', 'Home', '', '{"route":"admin_default"}', 'core_admin_main', '', 1),
('core_admin_main_manage', 'core', 'Manage', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_manage', 2),
('core_admin_main_settings', 'core', 'Settings', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_settings', 3),
('core_admin_main_plugins', 'core', 'Plugins', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_plugins', 4),
('core_admin_main_layout', 'core', 'Layout', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_layout', 5),
('core_admin_main_ads', 'core', 'Ads', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_ads', 6),
('core_admin_main_stats', 'core', 'Stats', '', '{"uri":"javascript:void(0);this.blur();"}', 'core_admin_main', 'core_admin_main_stats', 7),

('core_admin_main_manage_levels', 'core', 'Member Levels', '', '{"route":"admin_default","module":"authorization","controller":"level"}', 'core_admin_main_manage', '', 2),
('core_admin_main_manage_networks', 'network', 'Networks', '', '{"route":"admin_default","module":"network","controller":"manage"}', 'core_admin_main_manage', '', 3),
('core_admin_main_manage_announcements', 'announcement', 'Announcements', '', '{"route":"admin_default","module":"announcement","controller":"manage"}', 'core_admin_main_manage', '', 4),
('core_admin_main_manage_reports', 'core', 'Abuse Reports', '', '{"route":"admin_default","module":"core","controller":"report"}', 'core_admin_main_manage', '', 5),
('core_admin_main_manage_plugins', 'core', 'Plugins', '', '{"route":"admin_default","module":"core","controller":"plugins"}', 'core_admin_main_manage', '', 6),

('core_admin_main_settings_general', 'core', 'General Settings', '', '{"route":"core_admin_settings","action":"general"}', 'core_admin_main_settings', '', 1),
('core_admin_main_settings_locale', 'core', 'Locale Settings', '', '{"route":"core_admin_settings","action":"locale"}', 'core_admin_main_settings', '', 1),
('core_admin_main_settings_fields', 'fields', 'Profile Questions', '', '{"route":"admin_default","module":"user","controller":"fields"}', 'core_admin_main_settings', '', 2),
('core_admin_main_settings_spam', 'core', 'Spam & Banning Tools', '', '{"route":"core_admin_settings","action":"spam"}', 'core_admin_main_settings', '', 5),
('core_admin_main_settings_email', 'core', 'System Emails', '', '{"route":"core_admin_settings","action":"email"}', 'core_admin_main_settings', '', 7),
('core_admin_main_settings_performance', 'core', 'Performance & Caching', '', '{"route":"core_admin_settings","action":"performance"}', 'core_admin_main_settings', '', 8),

('core_admin_main_layout_content', 'core', 'Layout Editor', '', '{"route":"admin_default","controller":"content"}', 'core_admin_main_layout', '', 1),
('core_admin_main_layout_themes', 'core', 'Theme Editor', '', '{"route":"admin_default","controller":"themes"}', 'core_admin_main_layout', '', 2),
('core_admin_main_layout_files', 'core', 'File & Media Manager', '', '{"route":"admin_default","controller":"files"}', 'core_admin_main_layout', '', 3),
('core_admin_main_layout_language', 'core', 'Language Manager', '', '{"route":"admin_default","controller":"language"}', 'core_admin_main_layout', '', 4),
('core_admin_main_layout_menus', 'core', 'Menu Editor', '', '{"route":"admin_default","controller":"menus"}', 'core_admin_main_layout', '', 5),

('core_admin_main_ads_manage', 'core', 'Manage Ad Campaigns', '', '{"route":"admin_default","controller":"ads"}', 'core_admin_main_ads', '', 1),
('core_admin_main_ads_create', 'core', 'Create New Campaign', '', '{"route":"admin_default","controller":"ads","action":"create"}', 'core_admin_main_ads', '', 2),

('core_admin_main_stats_statistics', 'core', 'Site-wide Statistics', '', '{"route":"admin_default","controller":"stats"}', 'core_admin_main_stats', '', 1),
('core_admin_main_stats_url', 'core', 'Referring URLs', '', '{"route":"admin_default","controller":"stats","action":"referrers"}', 'core_admin_main_stats', '', 2),
('core_admin_main_stats_resources', 'core', 'Server Information', '', '{"route":"admin_default","controller":"system"}', 'core_admin_main_stats', '', 3),
('core_admin_main_stats_logs', 'core', 'Log Browser', '', '{"route":"admin_default","controller":"system","action":"log"}', 'core_admin_main_stats', '', 3),


('core_admin_levels_general', 'core', 'General', '', '{"route":"authorization_admin_levels","module":"authorization","controller":"admin-level","action":"edit"}', 'core_admin_levels', '', 1)
;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_modules`
--

DROP TABLE IF EXISTS `engine4_core_modules`;
CREATE TABLE IF NOT EXISTS `engine4_core_modules` (
  `name` varchar(64) collate utf8_unicode_ci NOT NULL,
  `title` varchar(64) collate utf8_unicode_ci NOT NULL,
  `description` text collate utf8_unicode_ci,
  `version` varchar(8) character set latin1 collate latin1_bin NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `type` enum('core','standard','extra') character set latin1 collate latin1_bin NOT NULL default 'extra',
  PRIMARY KEY  (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `engine4_core_modules`
--

INSERT INTO `engine4_core_modules` (`name`, `title`, `description`, `version`, `enabled`, `type`) VALUES
('core', 'Core', 'The Alpha and the Omega.', '4.0.0', 1, 'core');


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_pages`
--

DROP TABLE IF EXISTS `engine4_core_pages`;
CREATE TABLE IF NOT EXISTS `engine4_core_pages` (
  `page_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NULL,
  `displayname` varchar(128) NOT NULL default '',
  `url` varchar(128) NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `custom` tinyint(1) NOT NULL default '1',
  `fragment` tinyint(1) NOT NULL default '0',
  `layout` varchar(32) NOT NULL default '',
  `view_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`page_id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `url` (`url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci ;

--
-- Dumping data for table `engine4_core_pages`
--

INSERT INTO `engine4_core_pages` (`page_id`, `name`, `displayname`, `title`, `description`, `keywords`, `custom`, `fragment`, `view_count`) VALUES
(1, 'header', 'Site Header', '', '', '', 0, 1, 0),
(2, 'footer', 'Site Footer', '', '', '', 0, 1, 0),
(3, 'core_index_index', 'Home Page', 'Home Page', 'This is the home page.', '', 0, 0, 0),
(4, 'user_index_home', 'Member Home Page', 'Member Home Page', 'This is the home page for members.', '', 0, 0, 0),
(5, 'user_profile_index', 'Member Profile', 'Member Profile', 'This is a member''s profile.', '', 0, 0, 0),
(6, 'event_profile_index', 'Event Profile', 'Event Profile', 'This is the profile for an event.', '', 0, 0, 0),
(7, 'group_profile_index', 'Group Profile', 'Group Profile', 'This is the profile for a group.', '', 0, 0, 0);


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_referrers`
--

DROP TABLE IF EXISTS `engine4_core_referrers`;
CREATE TABLE IF NOT EXISTS `engine4_core_referrers` (
  `host` varchar(64) NOT NULL,
  `path` varchar(64) NOT NULL,
  `query` varchar(128) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY  (`host`,`path`,`query`),
  KEY `value` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_reports`
--

DROP TABLE IF EXISTS `engine4_core_reports`;
CREATE TABLE IF NOT EXISTS `engine4_core_reports` (
  `report_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `category` varchar(16) collate utf8_unicode_ci NOT NULL,
  `description` text collate utf8_unicode_ci NOT NULL,
  `subject_type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `subject_id` int(11) NOT NULL,
  `creation_date` datetime NOT NULL,
  `read` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`report_id`),
  KEY `category` (`category`),
  KEY `user_id` (`user_id`),
  KEY `read` (`read`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_routes`
--

DROP TABLE IF EXISTS `engine4_core_routes`;
CREATE TABLE `engine4_core_routes` (
  `name` varchar(32) NOT NULL,
  `config` text NOT NULL,
  `order` smallint(6) NOT NULL default '1',
  PRIMARY KEY  (`name`),
  KEY `order` (`order`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_search`
--

DROP TABLE IF EXISTS `engine4_core_search`;
CREATE TABLE IF NOT EXISTS `engine4_core_search` (
  `type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `hidden` varchar(255) NOT NULL,
  PRIMARY KEY  (`type`,`id`),
  FULLTEXT KEY `LOOKUP` (`title`, `description`, `keywords`, `hidden`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_session`
--

DROP TABLE IF EXISTS `engine4_core_session`;
CREATE TABLE `engine4_core_session` (
  `id` char(32) NOT NULL default '',
  `modified` int(11) default NULL,
  `lifetime` int(11) default NULL,
  `data` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_settings`
--

DROP TABLE IF EXISTS `engine4_core_settings`;
CREATE TABLE `engine4_core_settings` (
  `name` varbinary(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `engine4_core_settings`
--

INSERT IGNORE INTO `engine4_core_settings` (`name`, `value`) VALUES
('activity.notifications.template', 'Hello %title%,\n\n%body%\n\n--Site Admin'),
('authorization.defaultlevel', '4'),
('core.application.comet', '0'),
('core.application.tasks', '1'),
('core.comet.enabled', '1'),
('core.comet.mode', 'short'),
('core.comet.delay', '1000'),
('core.comet.reconnect', '2000'),
('core.doctype', 'XHTML1_STRICT'),
('core.email.from', 'email@domain.com'),
('core.facebook.key', ''),
('core.facebook.secret', ''),
('core.general.commenthtml', ''),
('core.general.portal', '1'),
('core.general.profile', '1'),
('core.general.search', '1'),
('core.locale.locale', 'auto'),
('core.locale.timezone', 'US/Pacific'),
('core.mail.enabled', '1'),
('core.mail.queueing', '1'),
('core.mail.count', '25'),
('core.secret', 'staticSalt'),
('core.site.title', 'Social Network'),
('core.site.creation', NOW()),
('core.site.license', 'Nulled by TrioxX'),
('core.site.email', 'email@domain.com'),
('core.tasks.mode', 'curl'),
('core.thumbnails.main.width', '720'),
('core.thumbnails.main.height', '720'),
('core.thumbnails.main.mode', 'resize'),
('core.thumbnails.profile.width', '200'),
('core.thumbnails.profile.height', '400'),
('core.thumbnails.profile.mode', 'resize'),
('core.thumbnails.normal.width', '140'),
('core.thumbnails.normal.height', '160'),
('core.thumbnails.normal.mode', 'resize'),
('core.thumbnails.icon.width', '48'),
('core.thumbnails.icon.height', '48'),
('core.thumbnails.icon.mode', 'crop'),
('core.general.quota', '0')
;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_statistics`
--

DROP TABLE IF EXISTS `engine4_core_statistics`;
CREATE TABLE IF NOT EXISTS `engine4_core_statistics` (
  `type` varchar(64) NOT NULL,
  `date` datetime NOT NULL,
  `value` int(11) NOT NULL default '0',
  PRIMARY KEY  (`type`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_status`
--

DROP TABLE IF EXISTS `engine4_core_status`;
CREATE TABLE IF NOT EXISTS `engine4_core_status` (
  `status_id` int(11) NOT NULL auto_increment,
  `resource_type` varchar(32) NOT NULL,
  `resource_id` int(11) NOT NULL,
  `body` text NOT NULL,
  `creation_date` datetime NOT NULL,
  PRIMARY KEY  (`status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_styles`
--

DROP TABLE IF EXISTS `engine4_core_styles`;
CREATE TABLE IF NOT EXISTS `engine4_core_styles` (
  `type` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `id` int(11) NOT NULL,
  `style` text NOT NULL,
  PRIMARY KEY  (`type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_tagmaps`
--

DROP TABLE IF EXISTS `engine4_core_tagmaps`;
CREATE TABLE IF NOT EXISTS `engine4_core_tagmaps` (
  `tagmap_id` int(11) NOT NULL auto_increment,
  `resource_type` varchar(24) character set latin1 collate latin1_bin NOT NULL,
  `resource_id` int(11) NOT NULL,
  `tagger_type` varchar(24) character set latin1 collate latin1_bin NOT NULL,
  `tagger_id` int(11) NOT NULL,
  `tag_type` varchar(24) character set latin1 collate latin1_bin NOT NULL,
  `tag_id` int(11) NOT NULL,
  `extra` text NULL,
  PRIMARY KEY  (`tagmap_id`),
  KEY `resource_type` (`resource_type`,`resource_id`),
  KEY `tagger_type` (`tagger_type`,`tagger_id`),
  KEY `tag_type` (`tag_type`,`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_tags`
--

DROP TABLE IF EXISTS `engine4_core_tags`;
CREATE TABLE IF NOT EXISTS `engine4_core_tags` (
  `tag_id` int(11) NOT NULL auto_increment,
  `text` varchar(255) NOT NULL,
  PRIMARY KEY  (`tag_id`),
  UNIQUE KEY `text` (`text`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;


-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_tasks`
--

DROP TABLE IF EXISTS `engine4_core_tasks`;
CREATE TABLE IF NOT EXISTS `engine4_core_tasks` (
  `task_id` int(11) NOT NULL auto_increment,
  `plugin` varchar(128) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `timeout` int(11) NOT NULL,
  `enabled` tinyint(4) NOT NULL default '1',
  `executed_last` int(11) NOT NULL default '0',
  `executed_count` int(11) NOT NULL default '0',
  `failure_count` int(11) NOT NULL default '0',
  `success_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`task_id`),
  UNIQUE KEY `plugin` (`plugin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `engine4_core_tasks`
--

INSERT INTO `engine4_core_tasks` (`plugin`, `timeout`, `enabled`, `executed_last`, `executed_count`, `failure_count`, `success_count`) VALUES
('Core_Plugin_Task_Mail', 60, 1, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `engine4_core_themes`
--

DROP TABLE IF EXISTS `engine4_core_themes`;
CREATE TABLE IF NOT EXISTS `engine4_core_themes` (
  `theme_id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `active` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`theme_id`),
  UNIQUE KEY `name` (`name`),
  KEY `active` (`active`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `engine4_core_themes`
--

INSERT IGNORE INTO `engine4_core_themes` (`theme_id`, `name`, `title`, `description`, `active`) VALUES
(1, 'default', 'Default Theme', '', 1),
(2, 'midnight', 'Midnight', '', 0);


-- --------------------------------------------------------

--
-- menu items for ads
--

INSERT IGNORE INTO `engine4_core_menuitems` (`name`, `module`, `label`, `plugin`, `params`, `menu`, `submenu`, `order`) VALUES
('adcampaign_admin_main_edit', 'core', 'Edit Settings', '', '{"route":"admin_default","module":"core","controller":"ads","action":"edit"}', 'adcampaign_admin_main', '', 1),
('adcampaign_admin_main_manageads', 'core', 'Manage Advertisements', '', '{"route":"admin_default","module":"core","controller":"ads","action":"manageads"}', 'adcampaign_admin_main', '', 2);

DROP TABLE IF EXISTS `engine4_core_adcampaigns`;
CREATE TABLE IF NOT EXISTS `engine4_core_adcampaigns` (
  `adcampaign_id` int(11) NOT NULL AUTO_INCREMENT,
  `end_settings` tinyint(4) NOT NULL,
  `name` varchar(255) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime NOT NULL,
  `limit_view` int(11) NOT NULL,
  `limit_click` int(11) NOT NULL,
  `limit_ctr` varchar(11) NOT NULL,
  `network` varchar(255) NOT NULL,
  `level` varchar(255) NOT NULL,
  `views` int(11) NOT NULL,
  `clicks` int(11) NOT NULL,
  `public` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`adcampaign_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

DROP TABLE IF EXISTS `engine4_core_adphotos`;
CREATE TABLE IF NOT EXISTS `engine4_core_adphotos` (
  `adphoto_id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_id` int(11) NOT NULL,
  `title` varchar(128) NOT NULL,
  `description` varchar(255) NOT NULL,
  `file_id` int(11) NOT NULL,
  `creation_date` datetime NOT NULL,
  `modified_date` datetime NOT NULL,
  PRIMARY KEY (`adphoto_id`),
  KEY `ad_id` (`ad_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=53 ;

DROP TABLE IF EXISTS `engine4_core_ads`;
CREATE TABLE IF NOT EXISTS `engine4_core_ads` (
  `ad_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(16) NOT NULL,
  `ad_campaign` int(11) NOT NULL,
  `views` int(11) NOT NULL,
  `clicks` int(11) NOT NULL,
  `media_type` varchar(255) NOT NULL,
  `html_code` varchar(255) NOT NULL,
  `photo_id` int(11) NOT NULL,
  PRIMARY KEY (`ad_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;