
<h2>
  <?php echo $this->translate('Manage Plugins') ?>
</h2>
<p>
  <?php echo $this->translate("CORE_VIEWS_SCRIPTS_ADMINPLUGINS_DESCRIPTION") ?>
</p>

<br />

<div style="display:none;">
  <a href='javascript:void(0);' class='buttonlink admin_plugins_options_addplugin'><?php echo $this->translate("Add New Plugin") ?></a>
  <a href='javascript:void(0);' class='buttonlink admin_plugins_options_browseplugins'><?php echo $this->translate("Find More Plugins") ?></a>
</div>

<table class='admin_table'>
  <thead>
    <tr>
      <th style='width: 1%;'><?php echo $this->translate("Name") ?></th>
      <th><?php echo $this->translate("Description") ?></th>
      <th style='width: 1%;' class='admin_table_centered'><?php echo $this->translate("Version") ?></th>
      <th style='width: 1%;'>Options</th>
    </tr>
  </thead>
  <tbody>
    <?php foreach( $this->modules as $module ): ?>
      <tr<?php if( !$module->enabled ): ?> class='admin_plugins_disabled'<?php endif; ?>>
        <td class='admin_table_bold'>
          <?php echo $this->translate($module->title) ?>
        </td>
        <td style='white-space: normal;'>
          <?php echo $this->translate($module->description) ?>
        </td>
        <td class='admin_table_centered'>
          <?php echo $module->version ?>
        </td>
        <td class='admin_table_options'>
          <?php if( $module->enabled ): ?>
            <?php echo $this->htmlLink(array('route' => 'admin_default', 'module' => $module->name, 'controller' => 'settings', 'action' => 'index'), $this->translate('settings')) ?>
          <?php else: ?>
            <span class='admin_plugins_disabled_settings'><?php echo $this->translate('settings') ?></span>
          <?php endif; ?>
          <?php //if( $module->enabled && $module->type != 'core'): ?>
            |
          <?php //endif; ?>
          <?php if( $module->type != 'core' ): ?>
            <?php echo $this->htmlLink($this->url(array('name' => $module->name, 'action' => ($module->enabled ? 'disable' : 'enable'))), $this->translate($module->enabled ? 'disable' : 'enable') . ' plugin') ?>
          <?php endif; ?>
        </td>
      </tr>
    <?php endforeach; ?>

  </tbody>
</table>

<?php if (!empty($this->new_modules)): ?>
  <br />
  <br />
  <p>
    <?php echo $this->translate('New plugins available for installation:') ?>
  </p>
  <br />
  <table class='admin_table'>
    <thead>
      <tr>
        <th style='width: 1%;'><?php echo $this->translate("Name") ?></th>
        <th><?php echo $this->translate("Description") ?></th>
        <th style='width: 1%;' class='admin_table_centered'><?php echo $this->translate("Version") ?></th>
        <th style='width: 1%;'>Options</th>
      </tr>
    </thead>
    <tbody>
      <?php foreach( $this->new_modules as $module ): ?>
        <tr>
          <td class='admin_table_bold'>
            <?php echo $this->translate($module->title) ?>
          </td>
          <td style='white-space: normal;'>
            <?php echo $this->translate($module->description) ?>
          </td>
          <td class='admin_table_centered'>
            <?php echo $module->version ?>
          </td>
          <td class='admin_table_options'>
            <?php echo $this->htmlLink(array('name' => $module->name, 'controller'=>'plugins', 'action' => 'install', 'route'=>'admin_default'), $this->translate('install plugin'), array('class'=>'smoothbox')) ?>
          </td>
        </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
<?php endif; ?>