<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5552 2010-05-09 01:51:13Z steve $
 */
?>

<h2>
  <?php echo $this->translate("Theme Editor") ?>
</h2>

<p>
  <?php echo $this->translate("CORE_VIEWS_SCRIPTS_ADMINTHEMES_INDEX_DESCRIPTION") ?>
</p>

<br />




<script type="text/javascript">
  var modifications = [];
  window.onbeforeunload = function() {
    if( modifications.length > 0 ) {
      return '<?php echo $this->translate("If you leave the page now, your changes will be lost. Are you sure you want to continue?") ?>';
    }
  }
  var pushModification = function(type) {
    modifications.push(type);
  }
  var removeModification = function(type) {
    modifications.erase(type);
  }
  var changeThemeFile = function(file) {
    var url = '<?php echo $this->url() ?>?file=' + file;
    window.location.href = url;
  }
  var saveFileChanges = function() {
    var request = new Request.JSON({
      url : '<?php echo $this->url(array('action' => 'save')) ?>',
      data : {
        'theme_id' : $('theme_id').value,
        'file' : $('file').value,
        'body' : $('body').value,
        'format' : 'json'
      },
      onComplete : function(responseJSON) {
        if( responseJSON.status ) {
          removeModification('body');
          alert('<?php echo $this->translate("Your changes have been saved!") ?>');
        } else {
          alert('<?php echo $this->translate("An error has occurred. Changes could NOT be saved.") ?>');
        }
      }
    });
    request.send();
  }
  var revertThemeFile = function() {
    var answer = confirm('<?php echo $this->translate("CORE_VIEWS_SCRIPTS_ADMINTHEMES_INDEX_REVERTTHEMEFILE") ?>');
    if( answer ) {
      window.location.href = '<?php echo $this->url(array('action' => 'revert')) ?>?theme_id=<?php echo $this->activeTheme->theme_id ?>';
      /*
      var request = new Request.JSON({
        url : '<?php echo $this->url(array('action' => 'revert')) ?>',
        data : {
          'theme_id' : $('theme_id').value,
          //'file' : $('file').value,
          'format' : 'json'
        },
        onComplete : function(responseJSON) {
          removeModification('body');
        }
      });
      request.send();
      */
    }
  }
</script>

<h3>
  <?php echo $this->translate("Edit your current theme:") ?> <?php echo $this->activeTheme->title ?>
</h3>

<br />

<?php if( $this->writeable[$this->activeTheme->name] ): ?>

  <div class="admin_theme_editor_wrapper">
    <div class="admin_theme_editor_header">
      <div class="admin_theme_editor_header_options">
        <?php if( !empty($this->modified[$this->activeTheme->name]) ): ?>
          <?php echo $this->htmlLink('javascript:void(0);', 'Restore Theme', array('class' => 'buttonlink admin_themes_header_revert', 'onclick' => 'revertThemeFile();')) ?>
        <?php endif; ?>
        <?php echo $this->htmlLink(array('route'=>'admin_default', 'controller'=>'themes', 'action'=>'clone', 'name'=>$this->activeTheme->name), 'Clone Theme',  array('class' => 'buttonlink admin_themes_header_clone')) ?>
        <?php echo $this->htmlLink(array('route'=>'admin_default', 'controller'=>'themes', 'action'=>'export','name'=>$this->activeTheme->name), 'Export Theme', array('class' => 'buttonlink admin_themes_header_export')) ?>
      </div>
      <div class="admin_theme_editor_header_file">
        <?php echo $this->formSelect('choosefile', $this->activeFileName, array('onchange' => 'changeThemeFile(this.value);'), $this->activeFileOptions) ?>
      </div>
    </div>
    <form action="<?php echo $this->url(array('action' => 'save')) ?>" method="post">
      <div class="admin_theme_editor">
        <?php echo $this->formTextarea('body', $this->activeFileContents, array('onkeypress' => 'pushModification("body")', 'spellcheck' => 'false')) ?>
      </div>
      <div class="admin_theme_editor_submit">
        <button type="submit" onclick="saveFileChanges();return false;"><?php echo $this->translate("Save Changes") ?></button>
      </div>
      <?php echo $this->formHidden('file', $this->activeFileName, array()) ?>
      <?php echo $this->formHidden('theme_id', $this->activeTheme->theme_id, array()) ?>
    </form>
  </div>

<?php else: ?>

  <div class="tip">
    <span>

      <?php echo $this->translate('CORE_VIEWS_SCRIPTS_ADMINTHEMES_INDEX_STYLESHEETSPERMISSION',$this->activeTheme->name ) ?>
      
      <!--
      The stylesheets for your current theme are not writeable: <br />
      "<?php echo $this->errorMessage ?>"
      -->
    </span>
  </div>

<?php endif; ?>

<br />








<h3>
  Or, pick a new theme:
</h3>

<br />

<form action="<?php echo $this->url(array('action' => 'change')) ?>" method="post">
  <div class="admin_theme_editor_wrapper">
    <ul class="admin_themes">
      <?php foreach( $this->themes as $theme ):
        $thumb = 'application/modules/Core/externals/images/anonymous.png';
        if( !empty($this->manifest[$theme->name]['meta']['thumb']) ) {
          $thumb = $this->manifest[$theme->name]['meta']['thumb'];
        }
        ?>
        <li onclick="$(this).getElement('input[type=radio]').checked = true;">
          <div class="theme_wrapper" style="background-image: url(<?php echo $thumb ?>);">
            <?php if( !empty($this->modified[$theme->name]) ): ?>
              <span class="theme_modified">Modified</span>
            <?php endif; ?>
          </div>
          <div class="theme_name">
            <?php echo $this->formSingleRadio('theme', $theme->name, array(
              'id' => "theme_" . $theme->name,
              'onfocus' => 'this.blur();',
              'checked' => ( $theme->name === $this->activeTheme->name )
            )) ?>
            <label for="theme_<?php echo $theme->name ?>">
              <?php echo $theme->title ?>
            </label>
          </div>
        </li>
      <?php endforeach; ?>
    </ul>
    <div class="admin_theme_editor_footer">
      <div class="admin_theme_editor_footer_options">
        <?php echo $this->htmlLink(array('route'=>'admin_default', 'controller'=>'themes','action'=>'upload'), 'Upload Theme', array('class'=>'buttonlink admin_themes_header_import')) ?>
      </div>
      <div class="admin_theme_editor_footer_file">
        <button type="submit"><?php echo $this->translate("Activate Theme") ?></button>
      </div>
    </div>
  </div>
</form>

<br />
