<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: search.tpl 4814 2010-04-06 01:26:11Z steve $
 */
?>

<?php
  // Parse query and remove page
  if( !empty($this->query) && ( is_string($this->query) || is_array($this->query)) ) {
    $query = $this->query;
    if( is_string($query) ) $query = parse_str(trim($query, '?'));
    unset($query['page']);
    $query = http_build_query($query);
    if( $query ) $query = '?' . $query;
  } else {
    $query = '';
  }
  // Add params
  $params = ( !empty($this->params) && is_array($this->params) ? $this->params : array() );
  unset($params['page']);
?>
<?php if ($this->pageCount > 1): ?>
<div class="paginationControl">
<!-- Previous page link -->
<?php if (isset($this->previous)): ?>
  <a href="<?php echo $this->url(array_merge($params, array('page' => $this->previous))) . $query; ?>"><?php echo $this->translate('Previous') ?></a> |
<?php else: ?>
  <span class="disabled"><?php echo $this->translate('Previous') ?></span> |
<?php endif; ?>

<!-- Numbered page links -->
<?php foreach ($this->pagesInRange as $page): ?>
  <?php if ($page != $this->current): ?>
    <a href="<?php echo $this->url(array_merge($params, array('page' => $page))) . $query; ?>"><?php echo $page; ?></a> |
  <?php else: ?>
    <?php echo $page; ?> |
  <?php endif; ?>
<?php endforeach; ?>

<!-- Next page link -->
<?php if (isset($this->next)): ?>
  <a href="<?php echo $this->url(array_merge($params, array('page' => $this->next))) . $query; ?>"><?php echo $this->translate('Next') ?></a>
<?php else: ?>
  <span class="disabled"><?php echo $this->translate('Next') ?></span>
<?php endif; ?>
</div>
<?php endif; ?>