<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: mini.tpl 4946 2010-04-12 23:50:15Z john $
 */
?>

<div class="admin_home_dashboard">
  <h3 class="sep">
    <span><?php echo $this->translate("%s's Dashboard", $this->viewer()->getTitle()) ?></span>
  </h3>
  <?php if( !empty($this->notifications) ): ?>
    <ul class="admin_home_dashboard_messages">
      <?php foreach( $this->notifications as $notification ): ?>
        <li>
          <?php echo $notification ?>
        </li>
      <?php endforeach; ?>
      <!--
      <li>
        There are <a href="#">3 new members</a> awaiting your approval.
      </li>
      -->
    </ul>
  <?php endif; ?>
  <ul class="admin_home_dashboard_links">
    <li>
      <ul>
        <li>
          <a href="<?php echo $this->url(array('module' => 'user', 'controller' => 'manage', 'action' => 'index'), 'admin_default', true) ?>" class="links_members">
            <?php echo $this->translate("View Members") ?>
          </a>
          (<?php echo $this->userCount ?>)
        </li>
        <li>
          <a href="<?php echo $this->url(array('module' => 'core', 'controller' => 'report', 'action' => 'index'), 'admin_default', true) ?>" class="links_abuse">
            <?php echo $this->translate("View Abuse Reports") ?>
          </a>
          <?php if( $this->reportCount > 0 ): ?>
            (<?php echo $this->reportCount ?>)
          <?php endif; ?>
        </li>
        <li>
          <a href="<?php echo $this->url(array('module' => 'core', 'controller' => 'plugins', 'action' => 'index'), 'admin_default', true) ?>" class="links_plugins">
            <?php echo $this->translate("Manage Plugins") ?>
          </a>
          (<?php echo $this->pluginCount ?>)
        </li>
      </ul>
    </li>
    <li>
      <ul>
        <li>
          <a href="<?php echo $this->url(array('module' => 'core', 'controller' => 'content', 'action' => 'index'), 'admin_default', true) ?>" class="links_layout">
            <?php echo $this->translate("Edit Site Layout") ?>
          </a>
        </li>
        <li>
          <a href="<?php echo $this->url(array('module' => 'core', 'controller' => 'themes', 'action' => 'index'), 'admin_default', true) ?>" class="links_theme">
            <?php echo $this->translate("Edit Site Theme") ?>
          </a>
        </li>
        <li>
          <a href="<?php echo $this->url(array('module' => 'core', 'controller' => 'stats', 'action' => 'index'), 'admin_default', true) ?>" class="links_stats">
            <?php echo $this->translate("View Statistics") ?>
          </a>
        </li>
      </ul>
    </li>
    <li>
      <ul>
        <li>
          <a href="<?php echo $this->url(array('module' => 'announcement', 'controller' => 'manage', 'action' => 'create'), 'admin_default', true) ?>" class="links_announcements">
            <?php echo $this->translate("Post Announcement") ?>
          </a>
        </li>
      </ul>
    </li>
  </ul>
</div>