<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Core
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5661 2010-05-12 01:17:56Z steve $
 */
?>

<div id='core_menu_mini_menu'>
  <?php
    // Reverse the navigation order (they're floating right)
    $count = count($this->navigation);
    foreach( $this->navigation->getPages() as $item ) $item->setOrder(--$count);
  ?>
  <ul>
    <li>
      <form id="global_search_form" action="<?php echo $this->url(array('controller' => 'search'), 'default', true) ?>" method="get">
        <input type='text' class='text suggested' name='query' id='global_search_field' size='20' maxlength='100' alt='<?php echo $this->translate('Search') ?>' />
      </form>
    </li>
    <?php foreach( $this->navigation as $item ): ?>
      <li><?php echo $this->htmlLink($item->getHref(), $this->translate($item->getLabel())) ?></li>
    <?php endforeach; ?>
    <li id='<?php if( $this->notificationCount ) echo "core_menu_mini_menu_updates" ?>' style="<?php if( !($this->viewer->getIdentity()) ) echo "display : none;" ?>">
      <?php if( $this->notificationCount ):?>
      <div id='new_notification'>
        <span>
          <?php echo $this->htmlLink(array('route' => 'default', 'module' => 'activity', 'controller' => 'notifications'),
                                     $this->translate(array('%s update', '%s updates', $this->notificationCount), $this->locale()->toNumber($this->notificationCount)),
                                     array('id' => 'core_menu_mini_menu_updates_count')) ?>
        </span>
        <span id="core_menu_mini_menu_updates_close">
          <a href="javascript:void(0);" onclick="en4.activity.hideNotifications();">x</a>
        </span>
      </div>
      <?php else:?>
        <?php echo $this->htmlLink(array('route' => 'default', 'module' => 'activity', 'controller' => 'notifications'),
                                   $this->translate(array('%s Update', '%s Updates', $this->notificationCount), $this->locale()->toNumber($this->notificationCount)),
                                   array('id' => 'core_menu_mini_menu_updates_count')) ?>
      <?php endif;?>
    </li>
  </ul>
</div>


<script type='text/javascript'>
  en4.core.runonce.add(function(){
    new OverText($('global_search_field'), {
      poll: true,
      pollInterval: 500
    });
  });
  /*
  function focusSearch() {
    if(document.getElementById('global_search_field').value == 'Search') {
      document.getElementById('global_search_field').value = '';
      document.getElementById('global_search_field').className = 'text';
    }
  }
  function blurSearch() {
    if(document.getElementById('global_search_field').value == '') {
      document.getElementById('global_search_field').value = 'Search';
      document.getElementById('global_search_field').className = 'text suggested';
    }
  }
  */
</script>