<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Album
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: view.tpl 3028 2010-01-27 09:47:12Z john $
 * @author     Jung
 */
?>

<h2><?php echo $this->translate("Forums Plugin") ?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      // Render the menu
      //->setUlClass()
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

<div class="admin_forums_options">
  <a href="<?php echo $this->url(array('action'=>'add-category'));?>" class="buttonlink smoothbox admin_forums_createcategory"><?php echo $this->translate("Add Category") ?></a>
  <a href="<?php echo $this->url(array('action'=>'add-forum'));?>" class="buttonlink smoothbox admin_forums_create"><?php echo $this->translate("Add Forum") ?></a>
</div>

<br />

<ul class="admin_forum_categories">
  <?php foreach ($this->categories as $category):?>
  <li>
    <div class="admin_forum_categories_info">
      <div class="admin_forum_categories_options">
        <span class="admin_forums_moveup">      
          <?php echo $this->htmlLink(array('action'=>'move-category', 'category_id'=>$category->getIdentity(), 'reset' => false), 'Move Up');?> |
        </span>
        <a href="<?php echo $this->url(array('action'=>'edit-category', 'category_id'=>$category->getIdentity()));?>" class="smoothbox"><?php echo $this->translate("edit") ?></a>
        | <a class="smoothbox" href="<?php echo $this->url(array('action'=>'delete-category', 'category_id'=>$category->getIdentity()));?>"><?php echo $this->translate("delete") ?></a>
      </div>
      <div class="admin_forum_categories_title">
        <?php echo $category->getTitle();?>
      </div>
    </div>
    <ul class="admin_forums">
      <?php foreach ($category->getChildren('forum_forum', array('order'=>'order')) as $forum):?>
      <li>
        <div class="admin_forums_options">
          <span class="admin_forums_moveup">
	    <?php echo $this->htmlLink(array('action'=>'move-forum', 'forum_id'=>$forum->getIdentity(), 'reset' => false), $this->translate('Move Up'));?> |
          </span>
          <a href="<?php echo $this->url(array('action'=>'edit-forum', 'forum_id'=>$forum->getIdentity()));?>" class="smoothbox"><?php echo $this->translate("edit") ?></a>
          | <a class="smoothbox" href="<?php echo $this->url(array('action'=>'delete-forum', 'forum_id'=>$forum->getIdentity()));?>"><?php echo $this->translate("delete") ?></a>
        </div>
        <div class="admin_forums_info">
          <span class="admin_forums_title">
            <?php echo $forum->getTitle();?>
          </span>
          <span class="admin_forums_description">
            <?php echo $forum->getDescription();?>
          </span>
          <span class="admin_forums_moderators">
            <span class="admin_forums_moderators_top">
              <?php echo $this->translate("Moderators") ?>
              (<a href="<?php echo $this->url(array('action'=>'add-moderator', 'format'=>'smoothbox', 'forum_id'=>$forum->getIdentity()));?>" class="smoothbox"><?php echo $this->translate("add") ?></a>)
            </span>
            <span>
              <?php
                $i = 0;
                foreach ($forum->getModeratorList()->getAllChildren() as $moderator)
                {
                  if ($i > 0)
                  {
                    echo ', ';
                  }
                  $i++;
                  echo $moderator->__toString() . ' (<a class="smoothbox" href="' . $this->url(array('action'=>'remove-moderator', 'forum_id'=>$forum->getIdentity(), 'user_id'=>$moderator->getIdentity())) . '">' . $this->translate("remove") . '</a>)';
                }
              ?>
            </span>
          </span>
        </div>
      </li>
<?php endforeach;?>
    </ul>
  </li>
  <?endforeach;?>
</ul>

