<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Group
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: index.tpl 5309 2010-04-30 02:52:02Z alex $
 */
?>

<div class="group_album_options">
  <?php if( $this->paginator->getTotalItemCount() > 0 ): ?>
    <?php echo $this->htmlLink(array(
        'route' => 'group_extended',
        'controller' => 'photo',
        'action' => 'list',
        'subject' => $this->subject()->getGuid(),
      ), $this->translate('View All Photos'), array(
        'class' => 'buttonlink icon_group_photo_view'
    )) ?>
  <?php endif; ?>

  <?php if( $this->canUpload ): ?>
    <?php echo $this->htmlLink(array(
        'route' => 'group_extended',
        'controller' => 'photo',
        'action' => 'upload',
        'subject' => $this->subject()->getGuid(),
      ), $this->translate('Upload Photos'), array(
        'class' => 'buttonlink icon_group_photo_new'
    )) ?>
  <?php endif; ?>
</div>

<br />

<?php if( $this->paginator->getTotalItemCount() > 0 ): ?>

  <ul class='group_album_thumbs'>
    <?php foreach( $this->paginator as $photo ): ?>
      <li class="group_album_thumb_notext">
        <div class='group_album_thumb_wrapper'>
          <?php echo $this->htmlLink($photo->getHref(), $this->itemPhoto($photo, 'thumb.normal')) ?>
        </div>
        <p>
          <?php if( '' != $photo->getTitle() ): ?>
            <?php echo $this->htmlLink($photo->getHref(), $this->string()->chunk($photo->getTitle(), 10)) ?>
          <?php endif; ?>
          <span>
            <?php echo $this->translate('By');?> <?php echo $this->htmlLink($photo->getOwner()->getHref(), $photo->getOwner()->getTitle()) ?>
          </span>
          <span>
            <?php echo $this->timestamp($photo->creation_date) ?>
          </span>
        </p>
      </li>
    <?php endforeach;?>
  </ul>

<?php else: ?>
  <div class="tip">
    <span>
      <?php echo $this->translate('No photos have been uploaded to this group yet.');?>
    </span>
  </div>

<?php endif; ?>
