<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Core.php 4677 2010-03-29 18:41:52Z john $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class HelloWorld_Plugin_Core
{
  public function onUserDeleteBefore($event)
  {
    if (Engine_Api::_()->getApi('settings', 'core')->helloworld_hook_goodbye) {
      $payload = $event->getPayload();
      if( $payload instanceof User_Model_User) {
        $translate = Zend_Registry::get('Zend_Translate');
        $mail = Engine_Api::_()->getApi('mail', 'core')->create();
        $mail->addTo( $payload->email, $payload->getTitle() )
             ->setBodyText($translate->_('Thank you for being a part of our community.  Our world will be that much smaller without you.'))
             ->setSubject($translate->_('Goodbye World'))
             ->setFrom('noreply@'.$_SERVER['HTTP_HOST']);
        Engine_Api::_()->getApi('mail', 'core')->send($mail);
      }
    }
  }
}