<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: IndexController.php 4830 2010-04-07 01:48:37Z john $
 * @author     John Boehr <j@webligo.com>
 */

/**
 * @category   Application_Extensions
 * @package    HelloWorld
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class HelloWorld_IndexController extends Core_Controller_Action_Standard
{
  public function indexAction()
  {
    $this->view->hello_world_title = Zend_Registry::get('Zend_Translate')->_('Hello world');

    $helloWorldTable = Engine_Api::_()->getItemTable('hello_world');
    $helloWorldSelect = $helloWorldTable->select()
      ->order('helloworld_id DESC');
    
    $this->view->paginator = $paginator = Zend_Paginator::factory($helloWorldSelect);
    $paginator->setCurrentPageNumber($this->_getParam('page'));
    $paginator->setItemCountPerPage(5);
  }

  public function createAction()
  {
    if( !$this->_helper->requireUser() ) return;
    
    $this->view->form = $form = new HelloWorld_Form_Create();

    if( $this->getRequest()->isPost() && $form->isValid($this->getRequest()->getPost()) ) {

      $helloWorldTable = Engine_Api::_()->getItemTable('hello_world');
      $values = $form->getValues();
      $viewer = Engine_Api::_()->user()->getViewer();

      // Begin database transaction
      $db = $helloWorldTable->getAdapter();
      $db->beginTransaction();

      try
      {
        // Create the main hello world
        $helloWorldRow = $helloWorldTable->createRow();
        $helloWorldRow->setFromArray($values);
        $helloWorldRow->user_id = $viewer->getIdentity();
        $helloWorldRow->save();

        // Add the photo
        if( !empty($values['Filedata']) ) {
          $fileElement = $form->Filedata;
          $helloWorldRow->setPhoto($fileElement);
          $helloWorldRow->save();
        }
        
        $db->commit();
      }

      catch( Exception $e )
      {
        $db->rollBack();
        throw $e;
      }
      
      $this->_helper->redirector->gotoRoute(array('action' => 'index'));
    }
  }
}