<?php return array(
  // Meta
  '_meta' => array(
    'name' => 'music',
    'version' => '4.0.0',
  ),
  
  // Compose -------------------------------------------------------------------
  'compose' => array(
    array('_composeMusic.tpl', 'music'),
  ),
  'composer' => array(
    'music' => array(
      'script' => array('_composeMusic.tpl', 'music'),
      'plugin' => 'Music_Plugin_Composer',
    ),
  ),
  // Content -------------------------------------------------------------------
  'content' => array(
    'music_profile_music' => array(
      'type' => 'action',
      'title' => 'Music Profile Tab',
      'route' => array(
        'module' => 'music',
        'controller' => 'widget',
        'action' => 'profile-music'
      )
    ),
    'music_profile_player' => array(
      'type' => 'action',
      'title' => 'Music Profile Player',
      'route' => array(
        'module' => 'music',
        'controller' => 'widget',
        'action' => 'profile-player'
      )
    ),
  ),
  // Hooks ---------------------------------------------------------------------
  'hooks' => array(
    array(
      'event' => 'onStatistics',
      'resource' => 'Music_Plugin_Core'
    ),
    array(
      'event' => 'onUserDeleteBefore',
      'resource' => 'Music_Plugin_Core',
    ),
  ),
  // Items ---------------------------------------------------------------------
  'items' => array(
    'music_playlist',
    'music_playlist_song',
  ),
  // Routes --------------------------------------------------------------------
  'routes' => array(
    // Public
    'music_browse' => array(
      'route' => 'music/:page/*',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'browse',
        'page' => 1,
      ),
      'reqs' => array(
        'page' => '\d+'
      ),
    ),
    'music_manage' => array(
      'route' => 'music/manage/:page/*',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'manage',
        'page' => 1,
      ),
      'reqs' => array(
        'page' => '\d+'
      ),
    ),
    'music_edit' => array(
      'route' => 'music/edit/:playlist_id',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'edit',
      ),
      'reqs' => array(
        'playlist_id' => '\d+',
      )
    ),
    'music_create' => array(
      'route' => 'music/create',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'create',
      ),
    ),
    'music_search' => array(
      'route' => 'music/search',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'search',
      )
    ),
    'music_player' => array(
      'route' => 'music/play/:playlist_id',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'widget',
        'action' => 'player',
        'playlist_id' => 0,
      ),
    ),
    'music_playlist_append' => array(
      'route' => 'music/playlist/append/*',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'playlist-append',
      ),
    ),
    'music_playlist' => array(
      'route' => 'music/playlist/:playlist_id/*',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'index',
        'action' => 'playlist',
        'playlist_id' => 0,
      ),
      'reqs' => array(
        'playlist_id' => '\d+',
      ),
    ),

    'music_admin_manage_level' => array(
      'route' => 'admin/music/level/:level_id',
      'defaults' => array(
        'module' => 'music',
        'controller' => 'admin-level',
        'action' => 'index'
      )
    ),
  ),
);