DROP TABLE IF EXISTS `engine4_music_playlists`;
CREATE TABLE IF NOT EXISTS `engine4_music_playlists` (
  `playlist_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(63) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `photo_id` int(10) NOT NULL,
  `owner_type` varchar(24) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `owner_id` int(11) NOT NULL,
  `search` tinyint(1) NOT NULL DEFAULT '1',
  `profile` tinyint(1) NOT NULL DEFAULT '0',
  `composer` tinyint(1) NOT NULL DEFAULT '0',
  `creation_date` datetime NOT NULL,
  `modified_date` datetime NOT NULL,
  `play_count` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`playlist_id`),
  KEY `creation_date` (`creation_date`),
  KEY `play_count` (`play_count`),
  KEY `owner_id` (`owner_type`,`owner_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS `engine4_music_playlist_songs`;
CREATE TABLE IF NOT EXISTS `engine4_music_playlist_songs` (
  `song_id` int(11) NOT NULL AUTO_INCREMENT,
  `playlist_id` int(10) NOT NULL,
  `file_id` int(10) NOT NULL,
  `title` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `play_count` int(10) NOT NULL DEFAULT '0',
  `order` smallint(6) NOT NULL,
  PRIMARY KEY (`song_id`),
  KEY (`playlist_id`,`file_id`),
  KEY `play_count` (`play_count`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


INSERT IGNORE INTO `engine4_core_menuitems` (`name`, `module`, `label`, `plugin`, `params`, `menu`, `submenu`, `order`) VALUES
('core_main_music', 'music', 'Music', '', '{"route":"default","module":"music"}', 'core_main', '', 100),
('core_sitemap_music', 'music', 'Music', '', '{"route":"default","module":"music"}', 'core_sitemap', '', 100),

('core_admin_main_plugins_music', 'music', 'Music', '', '{"route":"admin_default","module":"music","controller":"settings"}', 'core_admin_main_plugins', '', 999),

('music_admin_main_manage', 'music', 'Manage Music', '', '{"route":"admin_default","module":"music","controller":"manage"}', 'music_admin_main', '', 1),
('music_admin_main_settings', 'music', 'Global Settings', '', '{"route":"admin_default","module":"music","controller":"settings"}', 'music_admin_main', '', 2),
('music_admin_main_level', 'music', 'Member Level Settings', '', '{"route":"admin_default","module":"music","controller":"level"}', 'music_admin_main', '', 3)
;

INSERT IGNORE INTO `engine4_authorization_permissions` (`level_id`, `type`, `name`, `value`, `params`) VALUES
(1, 'music_playlist', 'auth_comment', 3, '["owner_member_member","owner_member","owner"]'),
(1, 'music_playlist', 'auth_view', 3, '["everyone","owner_member_member","owner_member","owner"]'),
(1, 'music_playlist', 'comment', 2, NULL),
(1, 'music_playlist', 'create', 1, NULL),
(1, 'music_playlist', 'delete', 2, NULL),
(1, 'music_playlist', 'edit', 2, NULL),
(1, 'music_playlist', 'max_filesize', 1, '10000'),
(1, 'music_playlist', 'max_songs', 1, '30'),
(1, 'music_playlist', 'max_storage', 1, '100000'),
(1, 'music_playlist', 'view', 2, NULL),

(2, 'music_playlist', 'auth_comment', 3, '["everyone","owner_member","owner"]'),
(2, 'music_playlist', 'auth_view', 3, '["everyone","owner_member","owner"]'),
(2, 'music_playlist', 'comment', 2, NULL),
(2, 'music_playlist', 'create', 1, NULL),
(2, 'music_playlist', 'delete', 2, NULL),
(2, 'music_playlist', 'edit', 2, NULL),
(2, 'music_playlist', 'max_filesize', 1, '10000'),
(2, 'music_playlist', 'max_songs', 1, '30'),
(2, 'music_playlist', 'max_storage', 1, '100000'),
(2, 'music_playlist', 'view', 2, NULL),

(3, 'music_playlist', 'auth_comment', 3, '["everyone","owner_member","owner"]'),
(3, 'music_playlist', 'auth_view', 3, '["everyone","owner_member","owner"]'),
(3, 'music_playlist', 'comment', 2, NULL),
(3, 'music_playlist', 'create', 1, NULL),
(3, 'music_playlist', 'delete', 2, NULL),
(3, 'music_playlist', 'edit', 2, NULL),
(3, 'music_playlist', 'max_filesize', 1, '10000'),
(3, 'music_playlist', 'max_songs', 1, '30'),
(3, 'music_playlist', 'max_storage', 1, '100000'),
(3, 'music_playlist', 'view', 2, NULL),

(4, 'music_playlist', 'auth_comment', 3, '["everyone","owner_member","owner"]'),
(4, 'music_playlist', 'auth_view', 3, '["everyone","owner_member","owner"]'),
(4, 'music_playlist', 'comment', 1, NULL),
(4, 'music_playlist', 'create', 1, NULL),
(4, 'music_playlist', 'delete', 1, NULL),
(4, 'music_playlist', 'edit', 1, NULL),
(4, 'music_playlist', 'max_filesize', 1, '10000'),
(4, 'music_playlist', 'max_songs', 1, '30'),
(4, 'music_playlist', 'max_storage', 1, '100000'),
(4, 'music_playlist', 'view', 1, NULL),

(5, 'music_playlist', 'auth_comment', 3, '[]'),
(5, 'music_playlist', 'auth_view', 3, '[]'),
(5, 'music_playlist', 'create', 0, NULL),
(5, 'music_playlist', 'max_filesize', 1, '10000'),
(5, 'music_playlist', 'max_songs', 1, '30'),
(5, 'music_playlist', 'max_storage', 1, '100000'),
(5, 'music_playlist', 'view', 1, NULL);


INSERT IGNORE INTO `engine4_activity_actiontypes` (`type`, `module`, `body`, `enabled`, `displayable`, `attachable`, `commentable`, `shareable`, `is_generated`) VALUES
('music_playlist_new', 'music', '{item:$subject} created a new playlist: {item:$object}', '1', '5', '1', '3', '1', 1),
('comment_playlist',   'music', '{item:$subject} commented on {item:$owner}''s {item:$object:music_playlist}.', 1, 1, 1, 1, 1, 1);


INSERT INTO `engine4_core_modules` (`name`, `title`, `description`, `version`, `enabled`, `type`) VALUES
('music', 'Music', 'Music', '4.0.0', 1, 'extra');
