<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: settings.tpl 4236 2010-03-10 04:58:27Z alex $
 * @author     Stephen
 */
?>

<h2><?php echo $this->translate("Music Plugin") ?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

  <div class='clear'>
    <?php if (empty($this->paginator)): ?>
      <?php echo $this->translate("No playlists have been created yet.") ?>
    <?php else: ?>
      <ul>
        <?php foreach ($this->paginator as $playlist): ?>
        <li id="music_playlist_item_<?php echo $playlist->getIdentity() ?>">
          <div class="music_browse_author_photo">
            <?php echo $this->htmlLink($playlist->getOwner(),
                       $this->itemPhoto($playlist->getOwner(), 'thumb.icon') ) ?>
          </div>
          <div class="music_browse_options">
            <?php if ($playlist->isDeletable() || $playlist->isEditable()): ?>
            <ul>
              <?php if ($playlist->isEditable()): ?>
              <li>
                <?php echo $this->htmlLink($playlist->getEditHref(),
                  $this->translate('Edit Playlist'),
                  array('class'=>'buttonlink icon_music_edit'
                )) ?>
              </li>
              <?php endif; ?>
              <?php if ($playlist->isDeletable()): ?>
              <li>
                <?php echo $this->htmlLink($playlist->getDeleteHref(),
                  'Delete Playlist',
                  array('class'=>'buttonlink smoothbox icon_music_delete'
                )) ?>
              </li>
              <?php endif; ?>
              <?php if ($playlist->getOwner() == Engine_Api::_()->user()->getViewer()): ?>
              <li>
                <?php echo $this->htmlLink($this->url(array('playlist_id'=>$playlist->playlist_id,'action'=>'set-profile-playlist'), 'music_browse'),
                  $playlist->profile ? 'Disable Profile Playlist' : 'Play on my Profile',
                  array('class'=>'buttonlink icon_music_playonprofile music_set_profile_playlist'
                )) ?>
              </li>
              <?php endif; ?>
            </ul>
            <?php endif; ?>
          </div>
          <div class="music_browse_info">
            <div class="music_browse_info_title">
              <h3><?php echo $this->htmlLink($playlist->getHref(), $playlist->getTitle()) ?></h3>
            </div>
            <div class="music_browse_info_date">
              Created
              <?php echo $this->timestamp($playlist->creation_date) ?>
              <?php echo $this->translate("by") ?>
              <?php echo $this->htmlLink($playlist->getOwner(), $playlist->getOwner()->getTitle()) ?>
              -
              <?php echo $this->htmlLink($playlist->getHref(), $this->translate(array('%s comment', '%s comments', $playlist->getCommentCount()), $this->locale()->toNumber($playlist->getCommentCount()))) ?>
            </div>
            <div class="music_browse_info_desc">
              <?php echo $playlist->description ?>
            </div>
            <?php echo $this->partial('_Player.tpl', array('playlist'=>$playlist)) ?>

          </div>
        </li>
        <?php endforeach ?>
      </ul>
      <?php endif; ?>
  </div>
