<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: playlist.tpl 4841 2010-04-07 03:14:18Z steve $
 * @author     Steve
 */
?>

<h2>
  <?php echo $this->translate('Music by %s', $this->htmlLink($this->playlist->getOwner(), $this->playlist->getOwner()->getTitle()) ) ?>
</h2>

<?php
  // this is done to make these links more uniform with other viewscripts
  $playlist = $this->playlist;
  $songs    = $playlist->getSongs();
?>
<div class="music_playlist">
  <div class="music_browse_author_photo">
    <?php echo $this->htmlLink($playlist->getOwner(), $this->itemPhoto($playlist->getOwner(), 'thumb.icon') ) ?>
  </div>

  <div class="music_playlist_options">
    <?php if ($playlist->isEditable())
      echo $this->htmlLink($playlist->getEditHref(),
        $this->translate('Edit Playlist'),
        array('class'=>'buttonlink icon_music_edit'
      )) ?>
    <?php if ($playlist->isDeletable())
      echo $this->htmlLink($playlist->getDeleteHref(),
        $this->translate('Delete Playlist'),
        array('class'=>'buttonlink smoothbox icon_music_delete'
      )) ?>
    <?php if ($playlist->getOwner() == Engine_Api::_()->user()->getViewer())
      echo $this->htmlLink($this->url(array('playlist_id'=>$playlist->playlist_id,'controller'=>'index','module'=>'music', 'action'=>'set-profile-playlist'), 'default'),
        $this->translate($playlist->profile ? 'Disable Profile Playlist' : 'Play on my Profile'),
        array('class'=>'buttonlink icon_music_upload music_set_profile_playlist'
      )) ?>
  </div>

  <div class="music_playlist_info">
    <div class="music_playlist_info_title">
      <h3><?php echo $playlist->getTitle() ?></h3>
      <p><?php echo $playlist->description ?></p>
    </div>
    <div class="music_playlist_info_date">
          <?php echo $this->translate('Created %s by ', $this->timestamp($playlist->creation_date)) ?>
          <?php echo $this->htmlLink($playlist->getOwner(), $playlist->getOwner()->getTitle()) ?>
    </div>

    <?php echo $this->partial('_Player.tpl', array('playlist'=>$playlist)) ?>
    
    <?php echo $this->action("list", "comment", "core", array("type"=>"music_playlist", "id"=>$playlist->playlist_id)) ?>
  </div>
</div>

