<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Global.php 4379 2010-03-16 03:00:07Z jung $
 * @author     Stephen
 */

/**
 * @category   Application_Extensions
 * @package    Music
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class Poll_Form_Admin_Global extends Engine_Form
{
  public function init()
  {
    $this
      ->setTitle('Global Settings')
      ->setDescription('These settings affect all members in your community.');


    $this->addElement('Radio', 'poll_public', array(
      'label' => 'Public Permissions',
      'description' => 'POLL_FORM_ADMIN_GLOBAL_POLLPUBLIC_DESCRIPTION',
      'multiOptions' => array(
        1 => 'Yes, the public can view polls unless they are made private.',
        0 => 'No, the public cannot view polls.'
      ),
      'value' => 1,
    ));

    $this->addElement('Text', 'perPage', array( 
      'label' => 'Polls Per Page',
      'description' => 'How many polls will be shown per page? (Enter a number between 1 and 999)',
      'value' => Engine_Api::_()->getApi('settings', 'core')->getSetting('poll.perPage', 10),
    ));


    // Add submit button
    $this->addElement('Button', 'submit', array(
      'label' => 'Save Changes',
      'type' => 'submit',
      'ignore' => true
    ));
  }

  public function saveValues()
  {
    $values = $this->getValues();
    if (!is_numeric($values['perPage'])
            || 0 >= $values['perPage']
            || 999 < $values['perPage'])
      $values['perPage'] = 10;
    Engine_Api::_()->getApi('settings', 'core')->setSetting('poll.perPage', $values['perPage']);

    
  }
}