<?php
class Poll_Model_Poll extends Core_Model_Item_Abstract
{
  protected $_parent_type = 'user';

  //protected $_owner_type = 'user';
  protected $_parent_is_owner = true;
  // needed for core_model_item

  // Interfaces
  /**
   * Gets an absolute URL to the page to view this item
   *
   * @return string
   */
  public function getHref($params = array())
  {
    $slug = trim(preg_replace('/-+/', '-', preg_replace('/[^a-z0-9-]+/i', '-', strtolower($this->getTitle()))), '-');

    $params = array_merge(array(
      'route' => 'poll_view',
      'reset' => true,
      'user_id' => $this->user_id,
      'poll_id' => $this->poll_id,
      'slug' => $slug,
    ), $params);
    $route = $params['route'];
    $reset = $params['reset'];
    unset($params['route']);
    unset($params['reset']);
    return Zend_Controller_Front::getInstance()->getRouter()
      ->assemble($params, $route, $reset);
  }
  
  /**
   * Gets a proxy object for the comment handler
   *
   * @return Engine_ProxyObject
   **/
  public function comments()
  {
    return new Engine_ProxyObject($this, Engine_Api::_()->getDbtable('comments', 'core'));
  }

  /**
   * Gets a proxy object for the like handler
   *
   * @return Engine_ProxyObject
   **/
  public function likes()
  {
    return new Engine_ProxyObject($this, Engine_Api::_()->getDbtable('likes', 'core'));
  }

  public function getOptions()
  {
    $o_table = Engine_Api::_()->getDbtable('options', 'poll');
    $o_name  = $o_table->info('name');
    $select  = $o_table->select()->from($o_name)->where('poll_id = ?', $this->getIdentity())->order('poll_option_id');
    return $o_table->fetchAll($select);
  }

  public function viewerVoted()
  {
    $user_id = Engine_Api::_()->user()->getViewer()->getIdentity();
    $table   = Engine_Api::_()->poll()->api()->getDbtable('votes', 'poll');
    $select  = $table->select()
                     ->from($table->info('name'), array(
                         'poll_option_id',
                       ))
                     ->where('poll_id = ?', $this->poll_id)
                     ->where('user_id = ?', $user_id)
                     ->limit(1);
    $row = $table->fetchRow($select);
    if (!empty($row) && isset($row['poll_option_id']))
      return $row['poll_option_id'];
  }

  public function voteCount()
  {
    $table  = Engine_Api::_()->getDbtable('votes', 'poll');
    $select = $table->select()
                    ->setIntegrityCheck(false)
                    ->from($table->info('name'), 'COUNT(*) AS count')
                    ->where('poll_id = ?', $this->getIdentity());
    return $table->fetchRow($select)->count;
  }
}