<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Poll
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: settings.tpl 4236 2010-03-10 04:58:27Z alex $
 * @author     Stephen
 */
?>

<h2><?php echo $this->translate("Polls Plugin") ?></h2>

<?php if( count($this->navigation) ): ?>
  <div class='tabs'>
    <?php
      // Render the menu
      //->setUlClass()
      echo $this->navigation()->menu()->setContainer($this->navigation)->render()
    ?>
  </div>
<?php endif; ?>

<p>
  <?php echo $this->translate("POLL_VIEWS_SCRIPTS_ADMINMANAGE_INDEX_DESCRIPTION") ?>
</p>

<br />
    <?php if( count($this->paginator) ): ?>

<table class='admin_table'>
<thead>

  <tr>
    <th class='admin_table_short'><input type='checkbox' class='checkbox' /></th>

    <th class='admin_table_short'>ID</th>
    <th><?php echo $this->translate("Title") ?></th>
    <th><?php echo $this->translate("Owner") ?></th>
    <th><?php echo $this->translate("Views") ?></th>
    <th><?php echo $this->translate("Votes") ?></th>
    <th><?php echo $this->translate("Date") ?></th>
    <th><?php echo $this->translate("Options") ?></th>
  </tr>

</thead>
<tbody>
        <?php foreach ($this->paginator as $item): ?>

          <tr>
            <td><input type='checkbox' class='checkbox' value="<?php echo $item->poll_id ?>"/></td>
            <td><?php echo $item->poll_id ?></td>
            <td><?php echo $item->title ?></td>
            <td><?php echo $item->getOwner()->getTitle() ?></td>
            <td><?php echo $item->views ?></td>
            <td><?php echo $item->voteCount() ?></td>
            <td><?php echo $item->creation_date ?></td>
            <td>
              <a href="<?php echo $this->url(array('user_id' => $item->getOwner()->user_id, 'poll_id' => $item->poll_id), 'poll_view') ?>">
                <?php echo $this->translate("view") ?>
              </a>
              |
              <?php echo $this->htmlLink(array('route' => 'default', 'module' => 'poll', 'controller' => 'admin-manage', 'action' => 'delete', 'id' => $item->poll_id), $this->translate('delete'), array(
                'class' => 'smoothbox',
              )) ?>
            </td>
          </tr>

            <?php endforeach; ?>
</tbody>
</table>
<br/>

<div class='browse_nextlast'>
  <?php echo $this->paginationControl($this->paginator); ?>
</div>

<?php else:?>
  <?php echo $this->translate("There are no polls created yet.") ?>
<?php endif; ?>
