<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Poll
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: browse.tpl 5333 2010-05-01 03:23:01Z alex $
 * @author     Steve
 */
?>

<div class="headline">
  <h2>
    <?php echo $this->translate('Polls');?>
  </h2>
  <div class="tabs">
    <?php
      // Render the menu
      echo $this->navigation()
        ->menu()
        ->setContainer($this->navigation)
        ->render();
    ?>
  </div>
</div>

<div class='layout_right'>
  <form action="<?php echo $this->url(array(), 'poll_search') ?>" method="post" class="filters">
    <p><?php echo $this->translate('Search Polls:') ?></p>
    <input type="text" name="poll_search" id="poll_search" value="<?php echo $this->search ?>">
    <br />

    <p><?php echo $this->translate('Browse By:') ?></p>
    <select name="browse_polls_by" id="browse_polls_by">
      <option value="recent"><?php  echo $this->translate('Most Recent') ?></option>
      <option value="popular"><?php echo $this->translate('Most Popular') ?></option>
    </select>
  </form>
  <?php if($this->can_create):?>
  <div class="quicklinks">
    <ul>
      <li>
        <a href='<?php echo $this->url(array(), 'poll_create') ?>' class='buttonlink icon_poll_new'>
          <?php echo $this->translate('Create New Poll') ?>
        </a>
      </li>
    </ul>
  </div>
  <?php endif;?>
  
  <script type="text/javascript">
  <!--
  var poll_url = window.location.href.split('polls')[1].split('/');
  var page_pos = 1;
  [1,2,3].each(function(i){
    if ('number'==$type(parseInt(poll_url[i])))
      page_pos = i;
  });

  if (poll_url[2]) {
    $$('#browse_polls_by option').each(function(tag, i){
      if (page_pos && poll_url[page_pos+1] && tag.value == poll_url[page_pos+1]) {
          tag.getParent().selectedIndex = i;
      }
    });
  }
  $('browse_polls_by').addEvent('change', function(){
    var url = '<?php echo $this->url(array('page'=>1,'sort'=>'')) ?>/';
    window.location.href = url+this.value;
  });
  // -->
  </script>

</div>

<div class='layout_middle'>

  <div class='browse_nextlast'>
    <?php echo $this->paginationControl($this->paginator); ?>
  </div>

  <?php if (0 == count($this->paginator) ): ?>
    <div class="tip">
      <span>
        <?php echo $this->translate('There are no polls yet.') ?>
        <?php if (TRUE): // @todo check if user is allowed to create a poll ?>
        <?php echo $this->translate('Why don\'t you %1$screate one%2$s', '<a href="'.$this->url(array(), 'poll_create').'">', '</a>') ?>
        <?php endif; ?>
      </span>
    </div>
  <?php else: // $this->polls is NOT empty ?>
    <ul class="polls_browse">
      <?php foreach ($this->paginator as $poll): ?>
      <li id="poll-item-<?php echo $poll->poll_id ?>">
        <?php echo $this->htmlLink(
          $poll->getHref(),
          $this->itemPhoto($this->users[$poll->user_id], 'thumb.icon', $this->users[$poll->user_id]->username),
          array('class' => 'polls_browse_photo')
        ) ?>
        <div class="polls_browse_info">
          <h3>
            <?php echo $this->htmlLink($poll->getHref(), $poll->getTitle()) ?>
          </h3>
          <div class="polls_browse_info_date">
            <?php echo $this->translate('Posted by %s', $this->htmlLink($this->users[$poll->user_id], $this->users[$poll->user_id]->getTitle())) ?>
            <?php echo $this->timestamp($poll->creation_date) ?>
            -
            <?php echo $this->translate(array('%s vote', '%s votes', $this->pollVotes[$poll->poll_id]), $this->locale()->toNumber($this->pollVotes[$poll->poll_id])) ?>
            -
            <?php echo $this->translate(array('%s view', '%s views', $poll->views), $this->locale()->toNumber($poll->views)) ?>
          </div>
          <?php if (!empty($poll->description)): ?>
            <div class="polls_browse_info_desc">
              <?php  echo $poll->description ?>
            </div>
          <?php endif; ?>
        </div>
      </li>
      <?php endforeach; ?>
    </ul>
  <?php endif; // $this->polls is NOT empty ?>

  <div class='browse_nextlast'>
    <?php echo $this->paginationControl($this->paginator); ?>
  </div>

</div>