<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Polls
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: view.tpl 5703 2010-05-12 08:29:07Z john $
 * @author     Steve
 */
?>

<?php if (empty($this->poll)): ?>
  <?php echo $this->translate('The poll you are looking for does not exist or has been deleted.') ?>
<?php return; endif; ?>
<h2>
  <?php echo $this->translate('%s\'s Polls', $this->htmlLink($this->owner, $this->owner->getTitle())) ?>
</h2>

<div class='polls_view'>

  <form action="<?php echo $this->url() ?>" method="POST" onsubmit="return false;">
    <h3>
      <?php echo $this->poll->title ?>
    </h3>
    <div class="poll_desc">
      <?php echo $this->poll->description ?>
    </div>
    <ul id="poll_options" class="poll_options">
      <?php foreach ($this->pollOptions as $i => $option): ?>
      <li id="poll_item_option_<?php echo $option->poll_option_id ?>">
        <div class="poll_has_voted" <?php echo ($this->hasVoted?'':'style="display:none;"') ?>>
          <div class="poll_option">
            <?php echo $option->poll_option ?>
          </div>
          <?php $pct = $this->votes
                     ? floor(100*($option->votes/$this->votes))
                     : 0;
                if (!$pct)
                  $pct = 1;
                // NOTE: poll-answer graph & text is actually rendered via
                // javascript.  The following HTML is there as placeholders
                // and for javascript backwards compatibility (though
                // javascript is required for voting).
           ?>
          <div id="poll-answer-<?php echo $option->poll_option_id ?>" class='poll_answer poll-answer-<?php echo (($i%8)+1) ?>' style='width: <?php echo .7*$pct; // set width to 70% of its real size to as to fit text label too ?>%;'>
            &nbsp;
          </div>
          <div class="poll_answer_total">
            <?php echo $this->translate(array('%s vote', '%s votes', $option->votes), $this->locale()->toNumber($option->votes)) ?>
            (<?php echo $this->locale()->toNumber($option->votes ? $pct : 0) ?>%)
          </div>
        </div>
        <div class="poll_not_voted" <?php echo ($this->hasVoted?'style="display:none;"':'') ?> >
          <div class="poll_radio" id="poll_radio_<?php echo $option->poll_option_id ?>">
            <input id="poll_option_<?php echo $option->poll_option_id ?>" type="radio" name="poll_options" <?php if ($this->hasVoted == $option->poll_option_id): ?>checked="true"<?php endif; ?> value="<?php echo $option->poll_option_id ?>" />
          </div>
          <label for="poll_option_<?php echo $option->poll_option_id ?>">
            <?php echo $option->poll_option ?>
          </label>
        </div>
      </li>
      <?php endforeach; ?>
    </ul>
    <div class="poll_stats">
      <a href='javascript:void(0);' onClick='togglePollResults(); this.blur();' id="poll_toggleResultsLink">
        <?php echo $this->translate($this->hasVoted ? 'Show Questions' : 'Show Results' ) ?></a>
        &nbsp;|&nbsp; <?php echo $this->htmlLink(Array('module'=>'activity', 'controller'=>'index', 'action'=>'share', 'route'=>'default', 'type'=>'poll', 'id'=>$this->poll->getIdentity(), 'format' => 'smoothbox'), $this->translate("Share"), array('class' => 'smoothbox')); ?>
        &nbsp;|&nbsp; <?php echo $this->htmlLink(Array('module'=>'core', 'controller'=>'report', 'action'=>'create', 'route'=>'default', 'subject'=>$this->poll->getGuid(), 'format' => 'smoothbox'), $this->translate("Report"), array('class' => 'smoothbox')); ?>
        &nbsp;|&nbsp; <span id="poll_vote_total"><?php echo $this->translate(array('%s vote', '%s votes', $this->votes), $this->locale()->toNumber($this->votes)) ?></span>
        &nbsp;|&nbsp; <?php echo $this->translate(array('%s view', '%s views', $this->poll->views), $this->locale()->toNumber($this->poll->views)) ?>
    </div>
  </form>

  <?php echo $this->action("list", "comment", "core", array("type"=>"poll", "id"=>$this->poll->poll_id)) ?>

</div>



<script type="text/javascript">
<!--
function togglePollResults() {
  if ('none' == $$('#poll_options div.poll_has_voted')[0].getStyle('display')) {
    $$('#poll_options div.poll_has_voted').setStyle('display', 'block');
    $$('#poll_options div.poll_not_voted').setStyle('display', 'none');
    $('poll_toggleResultsLink').set('text', '<?php echo $this->translate('Show Questions') ?>');
  } else {
    $$('#poll_options div.poll_has_voted').setStyle('display', 'none');
    $$('#poll_options div.poll_not_voted').setStyle('display', 'block');
    $('poll_toggleResultsLink').set('text', '<?php echo $this->translate('Show Results') ?>')
  }
}
var votesLang = <?php echo Zend_Json::encode($this->translate('%s vote')) ?>;
function renderPollResults(pollAnswers, poll_votes_total) {
  if (pollAnswers && 'array' == $type(pollAnswers)) {
    <?php if ($this->showPieChart): ?>
    var chd = new Array();
    var chl = new Array();
    var chco = ['aaea4f','ea4f4f','4faaea','eaaa4f','4f5eea','4feabc','e54fea','eae84f'];
    <?php endif; ?>
    pollAnswers.each(function(option) {
      var div = $('poll-answer-'+option.poll_option_id);
      var pct = poll_votes_total > 0
              ? Math.floor(100*(option.votes / poll_votes_total))
              : 1;
      if (pct < 1)
          pct = 1;
      // set width to 70% of actual width to fit text on same line
      div.style.width = (.7*pct)+'%';
      var langIndex = 1 - (option.votes == 1);
      div.getNext('div.poll_answer_total').set('text',  votesLang[langIndex].sprintf(option.votes) + ' ('+(option.votes?pct:0)+'%)');
      <?php if (!$this->canChangeVote && $this->hasVoted): ?>
        $$('.poll_radio input').set('disabled', true);
      <?php endif ?>

      <?php if ($this->showPieChart): ?>
      // if we use a pie chart instead of bar graph, only show enough of the bars
      // for a visual color legend
      div.style.width = '2%';
      // google charts: http://code.google.com/apis/chart/types.html#pie_charts
      if (option.votes == 0)
        pct = 0;

      chd[ chd.length ] = pct;
      chl[ chl.length ] = pct+'% '+(option.poll_option.length > 15 ? option.poll_option.substring(0, 12)+'...' : option.poll_option);
      if ($('poll_piechart'))
          $('poll_piechart').destroy();
      if (poll_votes_total)
        new Element('img', {
          'id': 'poll_piechart',
          'src': 'http://chart.apis.google.com/chart?cht=p3&chp=0.33&chco='+chco.join(',')+'&chd=t:'+chd.join(',')+'&chs=400x100&chl='+chl.join('|'),
          'style': 'display:block;position:absolute;margin-left:510px;'
        }).inject($$('.poll_desc')[0], 'before');
      <?php endif; ?>
    });
  }
}
en4.core.runonce.add(function(){
  renderPollResults(<?php echo json_encode($this->pollOptions->toArray()) ?>, <?php echo $this->votes ?>);
  $$('#poll_options input[type=radio]').addEvent('click', function(){
    <?php if (!$this->viewer_id): ?>
        //if (confirm('You must be logged in to vote; would you like to log in now?'))
          window.location.href = '<?php echo $this->url(array('poll_id'=>$this->poll_id),'user_login'); ?>';
    <?php else: ?>

    var option_id = this.get('value');
    $('poll_radio_' + option_id).className = 'poll_radio_loading';
    new Request.JSON({
        url: '<?php echo $this->url(array(), 'poll_vote') ?>',
        method: 'post',
        data : {
          format : 'json',
          'poll_id': <?php echo $this->poll->poll_id ?>,
          'option_id' : option_id
        },
        onComplete: function(responseJSON, responseText)
        {
          $('poll_radio_' + option_id).className = 'poll_radio';

          $$('#poll_options input').each(function(radio){
            if (radio.type == 'radio') {
              radio.style.display = null;
              radio.blur();
            }
          });
          if (responseJSON.error) {
            alert(responseJSON.error);
          } else {
            $('poll_vote_total').set('text', responseJSON.votes_total+' vote'+(responseJSON.votes_total==1?'':'s'));
            renderPollResults(responseJSON.pollOptions, responseJSON.votes_total);
            <?php if (!$this->canChangeVote): ?>
              $$('.poll_radio input').set('disabled', true);
            <?php endif ?>
            togglePollResults();
          }
        }
    }).send();
    <?php endif; ?>
  });
});
// -->
</script>
