<?php

class User_Plugin_Core
{
  public function onUserDeleteBefore($event)
  {
    $payload = $event->getPayload();
    if( $payload instanceof User_Model_User ) {

      // Remove from online users
      $onlineUsersTable = Engine_Api::_()->getDbtable('online', 'user');
      $onlineUsersTable->delete(array(
        'user_id = ?' => $payload->getIdentity(),
      ));

      // Remove friends (@todo)
    }
  }

  public function getAdminNotifications($event)
  {
    $userTable = Engine_Api::_()->getItemTable('user');
    $select = new Zend_Db_Select($userTable->getAdapter());
    $select->from($userTable->info('name'), 'COUNT(user_id) as count')
      ->where('enabled = ?', 0)
      ;

    $data = $select->query()->fetch();
    if( empty($data['count']) ) {
      return;
    }

    $translate = Zend_Registry::get('Zend_Translate');
    $message = vsprintf($translate->translate(array(
      'There is <a href="%s">%d new member</a> awaiting your approval.',
      'There are <a href="%s">%d new members</a> awaiting your approval.',
      $data['count']
    )), array(
      Zend_Controller_Front::getInstance()->getRouter()->assemble(array('module' => 'user', 'controller' => 'manage'), 'admin_default', true) . '?enabled=0',
      $data['count'],
    ));

    $event->addResponse($message);
  }
}