<?php return array(
  // Meta
  '_meta' => array(
    'name' => 'user',
    'version' => '4.0.0',
  ),
  
  // Hooks ---------------------------------------------------------------------
  'hooks' => array(
    array(
      'event' => 'onUserDeleteBefore',
      'resource' => 'User_Plugin_Core',
    ),
    array(
      'event' => 'getAdminNotifications',
      'resource' => 'User_Plugin_Core',
    )
  ),
  // Items ---------------------------------------------------------------------
  'items' => array(
    'user',
    'user_list',
    'user_list_item',
  ),
  // Routes --------------------------------------------------------------------
  'routes' => array(
    // User - General
    'user_extended' => array(
      'route' => 'members/:controller/:action/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'index',
        'action' => 'index'
      ),
      'reqs' => array(
        'controller' => '\D+',
        'action' => '\D+',
      )
    ),
    'user_general' => array(
      'route' => 'members/:action/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'index',
        'action' => 'browse'
      ),
      'reqs' => array(
        'action' => '(home|browse)',
      )
    ),

    // User - Specific
    'user_profile' => array(
      'route' => 'profile/:id/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'profile',
        'action' => 'index'
      )
    ),
    
    'user_login' => array(
      'type' => 'Zend_Controller_Router_Route_Static',
      'route' => '/login',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'auth',
        'action' => 'login'
      )
    ),
    'user_logout' => array(
      'type' => 'Zend_Controller_Router_Route_Static',
      'route' => '/logout',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'auth',
        'action' => 'logout'
      )
    ),
    'user_signup' => array(
      'route' => '/signup/:action/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'signup',
        'action' => 'index'
      )
    ),
    /*
    'user_friends_add' => array(
      'type' => 'Zend_Controller_Router_Route_Static',
      'route' => '/addfriend',
      'defaults' => array(
        'module'=>'user',
        'controller' => 'friends',
        'action' => 'add'
      )
    ),
    'user_friends_list' => array(
      'type' => 'Zend_Controller_Router_Route_Static',
      'route'=>'/listfriend',
      'defaults' => array(
        'module'=>'user',
        'controller' => 'friends',
        'action' => 'list')
    ),

    'browse_members' => array(
      'route' => '/members/browse',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'index',
        'action' => 'browse'
      )
    ),

    'user_friends_assign' => array(
      'type' => 'Zend_Controller_Router_Route_Static',
      'route'=>'assignfriend',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'friends',
        'action' => 'assign')
    ),
     *
     */

    // Admin - General
    /*
    'user_admin_settings' => array(
      'route' => 'admin/users/settings/:action/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'admin-settings',
        'action' => 'index'
      ),
      'reqs' => array(
        'action' => '\D+'
      )
    ),
    'user_admin_general' => array(
      'route' => 'admin/users/:action/*',
      'defaults' => array(
        'module' => 'user',
        'controller' => 'admin-user',
        'action' => 'index'
      ),
      'reqs' => array(
        'action' => '(index|create|edit|delete|multi-delete)'
      )
    )
     * 
     */
  )
); ?>