<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Controller.php 5806 2010-05-13 03:23:02Z shaun $
 */

/**
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class User_Widget_ListOnlineController extends Engine_Content_Widget_Abstract
{
  protected $_onlineUserCount;
  
  public function indexAction()
  {
    // Get count
    $table = Engine_Api::_()->getItemTable('user');
    $onlineTable = Engine_Api::_()->getDbtable('online', 'user');

    $select = $onlineTable->select()
      ->from($onlineTable->info('name'), new Zend_Db_Expr('COUNT(1) as count'))
      ->where($onlineTable->info('name').'.user_id > ?', 0)
      ->where('active > ?', new Zend_Db_Expr('DATE_SUB(NOW(),INTERVAL 20 MINUTE)'));

    $row = $onlineTable->fetchRow($select);
    $this->view->count = $count = (int) $row->count;
    $this->_onlineUserCount = $count;

    if( !$count )
    {
      return $this->setNoRender();
    }

    // Parse title
    $element = $this->getElement();
    $title = $this->view->translate(array($element->getTitle(), $element->getTitle(), $count), $count);
    $element->setTitle($title);
    $element->setParam('disableTranslate', true);

    // Get users
    $select = $table->select()
      ->from($table->info('name'))
      ->joinRight($onlineTable->info('name'), $onlineTable->info('name').'.user_id = '.$table->info('name').'.user_id', null)
      ->where($onlineTable->info('name').'.user_id > ?', 0)
      ->where('active > ?', new Zend_Db_Expr('DATE_SUB(NOW(),INTERVAL 20 MINUTE)'))
      ->order('active DESC')
      ->group($onlineTable->info('name').'.user_id')
      ->limit(18);

    $this->view->users = $rowset = $table->fetchAll($select);
  }

  public function getCacheKey()
  {
    return true;
  }

  public function getCacheSpecificLifetime()
  {
    return 120;
  }

  public function getCacheExtraContent()
  {
    return $this->_onlineUserCount;
  }

  public function setCacheExtraData($data)
  {
    $element = $this->getElement();
    $element->setTitle(sprintf($element->getTitle(), (int) $data));
  }
}