<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Controller.php 5184 2010-04-22 04:14:11Z john $
 */

/**
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class User_Widget_LoginOrSignupController extends Engine_Content_Widget_Abstract
{
  public function indexAction()
  {
    // Do not show if logged in
    if( Engine_Api::_()->user()->getViewer()->getIdentity() )
    {
      $this->setNoRender();
      return;
    }
    
    // Display form
    $form = $this->view->form = new User_Form_Login();;
    $form->setTitle(null)->setDescription(null);
    $form->removeElement('forgot');

    // Get facebook info
    $config = Engine_Api::_()->getApi('settings', 'core')->getSetting('core.facebook');
    if( !empty($config) ) {
      $urlParams = array(
        'api_key' => $config['key'],
        'display' => 'popup',
        'extern' => 1,
        'fbconnect' => 1,
        'fb_connect' => 1,
        'req_perms' => 'publish_stream',
        'return_session' => 1,
        'v' => '1.0',
        'next' => 'http://' . $_SERVER['HTTP_HOST'] . $this->view->url(array('module' => 'user', 'controller' => 'auth', 'action' => 'facebook-success'), 'default', true),
        'cancel_url' => 'http://' . $_SERVER['HTTP_HOST'] . $this->view->url(array('module' => 'user', 'controller' => 'auth', 'action' => 'facebook-cancel'), 'default', true),
      );

      $url = 'http://www.facebook.com/login.php?';
      $url .= http_build_query($urlParams);

      $this->view->fbUrl = $url;
    }
  }
  
  public function getCacheKey()
  {
    return true;
  }
}