<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Controller.php 4630 2010-03-25 03:57:06Z john $
 */

/**
 * @category   Application_Core
 * @package    User
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class User_Widget_ProfileTagsController extends Engine_Content_Widget_Abstract
{
  public function indexAction()
  {
    // Don't render this if not authorized
    $viewer = Engine_Api::_()->user()->getViewer();
    if( !Engine_Api::_()->core()->hasSubject() ) {
      return $this->setNoRender();
    }

    // Get subject and check auth
    $subject = Engine_Api::_()->core()->getSubject('user');
    if( !$subject->authorization()->isAllowed($viewer, 'view') ) {
      return $this->setNoRender();
    }

    // Get paginator
    $tagApi = Engine_Api::_()->getDbtable('tags', 'core');
    $this->view->paginator = Zend_Paginator::factory($tagApi->getResourcesByTagSelect($subject, array(
      'resource_types' => array('album_photo', 'group_photo', 'event_photo'),
    )));

    // Do not render if nothing to show
    if( $friends->getTotalItemCount() <= 0 ) {
      return $this->setNoRender();
    }
  }
}