<?php return array(
  // Meta
  '_meta' => array(
    'name' => 'video',
    'version' => '4.0.0',
  ),
  // Compose
  'compose' => array(
    array('_composeVideo.tpl', 'video'),
  ),
  'composer' => array(
    'video' => array(
      'script' => array('_composeVideo.tpl', 'video'),
      'plugin' => 'Video_Plugin_Composer',
    ),
  ),
  // Hooks ---------------------------------------------------------------------
  // Items ---------------------------------------------------------------------
  'items' => array(
    'video',
  ),
  // Hooks ---------------------------------------------------------------------
  'hooks' => array(
    array(
      'event' => 'onStatistics',
      'resource' => 'Video_Plugin_Core'
    ),
    array(
      'event' => 'onUserDeleteBefore',
      'resource' => 'Video_Plugin_Core',
    ),
  ),
  // Content -------------------------------------------------------------------
  'content'=> array(
    'video_profile_videos' => array(
      'type' => 'action',
      'title' => 'Video Profile Tab',
      'route' => array(
        'module' => 'video',
        'controller' => 'widget',
        'action' => 'profile-video',
      ),
    )
  ),
  // Routes --------------------------------------------------------------------
  'routes' => array(
    'video_general' => array(
      'route' => 'videos/:action/*',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'index',
        'action' => 'browse',
      ),
      'reqs' => array(
        'action' => '(index|browse|create|list|manage)',
      )
    ),
    'video_profile' => array(
      'route' => 'video/:id/*',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'profile',
        'action' => 'index',
      ),
      'reqs' => array(
        'id' => '\d+',
      )
    ),
    'video_view' => array(
      'route' => 'videos/:user_id/:video_id/:slug',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'index',
        'action' => 'view',
        'slug' => '',
      ),
      'reqs' => array(
        'user_id' => '\d+',
        'blog_id' => '\d+'
      )
    ),
    'video_delete' => array(
      'route' => 'video/delete/:video_id',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'index',
        'action' => 'delete'
      )
    ),
    'video_edit' => array(
      'route' => 'video/edit/:video_id',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'index',
        'action' => 'edit'
      )
    ),
    'video_retry' => array(
      'route' => 'video/retry/:retry',
      'defaults' => array(
        'module' => 'video',
        'controller' => 'index',
        'action' => 'create'
      )
    ),
  )
) ?>